Console de gerenciamento Microsoft

O Console de gerenciamento Microsoft (MMC) contém ferramentas administrativas que você pode usar para administrar redes, computadores, serviços e outros componentes do sistema.

  • Para obter ajuda sobre como executar tarefas específicas, consulte Como.
  • Para obter informações detalhadas sobre o MMC, consulte Conceitos.
  • Para obter informações sobre os recursos de acessibilidade, consulte Acessibilidade do MMC.
  • Para obter instruções sobre como solucionar problemas, consulte Solucionando problemas do MMC.
  • Para obter informações sobre a Ajuda referente aos sistemas operacionais da família Windows Server 2003, consulte Acessar a Ajuda do Windows.
  • Para obter sugestões de segurança, consulte Práticas recomendadas e Runas.


Práticas recomendadas

Fazer logon como um usuário normal

  • Ao fazer logon com direitos administrativos, você abre os sistemas sobre os quais tem controle em relação a ataques. Para obter mais informações, consulte Por que você não deve executar o computador como um administrador.
  • Use o comando Runas para abrir ferramentas específicas quando precisar usá-las. Para obter mais informações, consulte Runas.
  • Para obter as ferramentas usadas com freqüência, crie atalhos que usem o comando Runas. Esses atalhos o ajudarão a trabalhar com mais eficiência sem comprometer a segurança. Para obter mais informações, consulte Criar um atalho utilizando o comando runas
  • Quando você concluir a tarefa, feche a ferramenta. Essa ação eliminará a oportunidade de uma possível violação de segurança do acesso ao sistema ou computador por alguém que esteja usando suas credenciais administrativas.

Seguir as diretrizes de segurança para as ferramentas usadas.

  • Verifique a Ajuda que acompanha cada ferramenta para obter diretrizes de segurança.

Para obter mais informações sobre segurança, consulte Práticas recomendadas para segurança, Visão geral de segurança e Práticas recomendadas para segurança local.


Como...

  • Acessar a Ajuda do Windows
  • Abrir o MMC e os arquivos de console salvos
  • Criar um arquivo de console do MMC
  • Modificar um arquivo de console salvo do MMC
  • Trabalhar com o MMC e os arquivos de console salvos
  • Definir diretiva para o MMC e snap-ins


Acessar a Ajuda do Windows

Elemento gráfico do Microsoft Windows

Para acessar a Ajuda do Windows

  1. Clique em Iniciar e, em seguida, clique em Ajuda e suporte para acessar o Centro de ajuda e suporte.

Observações

  • Quando Ajuda e suporte estiver aberto, você poderá navegar até todos os tópicos da Ajuda.
  • Consulte também "Visualizando a Ajuda clássica" em Tópicos relacionados. A Ajuda clássica é um sistema de Ajuda no formato fornecido com o Windows 2000. Seu conteúdo é igual ao exibido no Centro de ajuda e suporte, sendo que apenas o formato é diferente.

    • Tópicos relacionados


Abrir o MMC e os arquivos de console salvos

  • Abrir o MMC
  • Abrir um console do MMC salvo para computadores locais e remotos
  • Criar um atalho de área de trabalho para abrir o MMC


Abrir o MMC

Elemento gráfico do Microsoft Windows

Para abrir o MMC

  • Siga um destes procedimentos:
    • Clique em Iniciar, clique em Executar, digite mmc e clique em OK.
    • No prompt de comando, digite mmc e pressione ENTER.

A sintaxe completa da linha de comando para o MMC é:

mmc caminho\nome_do_arquivo.msc [/a] [/64] [/32]

caminho\nome_de_arquivo.msc

Esse comando inicia o MMC e abre um console salvo. Você precisa especificar o caminho completo e o nome do arquivo de console salvo. Se você não especificar um arquivo de console, o MMC abrirá um novo console.

Você pode usar variáveis de ambiente para criar linhas de comando ou atalhos que não dependam da localização explícita dos arquivos de console. Por exemplo, se o caminho para um arquivo de console estiver na pasta do sistema (por exemplo, mmc c:\winnt\system32\nome_do_console.msc), você poderá usar a seqüência de dados expansível %systemroot% para especificar a localização (mmc %systemroot%\system32\nome_do_console.msc). Isso pode ser útil quando você delega tarefas a pessoas da sua organização que trabalham em computadores diferentes.

/a

Essa opção abre um console saldo no modo de autor e é usado para fazer alterações em consoles salvos. Quando os consoles são abertos com esta opção, eles são abertos no modo de autor, independentemente do seu modo padrão. Essa não é uma alteração permanente na configuração de modo padrão dos arquivos. Quando você omite essa opção, o MMC abre arquivos de console de acordo com suas configurações de modo padrão.

/64

Abre a versão de 64 bits do MMC (MMC64). Use esta opção apenas se você estiver executando um sistema operacional de 64 bits da Microsoft. Para obter mais informações, consulte Executando snap-ins de 32 bits e de 64 bits nos sistemas operacionais da família Windows Server 2003.

/32

Abre a versão de 32 bits do MMC (MMC32). Quando você estiver executando um sistema operacional de 64 bits da Microsoft, poderá executar snap-ins de 32 bits abrindo o MMC com essa opção de linha de comando. Para obter mais informações, consulte Executando snap-ins de 32 bits e de 64 bits nos sistemas operacionais da família Windows Server 2003.

Observações

  • Após abrir o MMC ou um arquivo de console no modo de autor, você pode abrir qualquer console existente clicando em Abrir no menu Arquivo.
  • Você pode usar a linha de comando a fim de criar atalhos para abrir o MMC e os consoles salvos. Um comando de linha de comando é usado com o comando Executar no menu Iniciar, em qualquer janela de prompt de comando, em atalhos ou em qualquer arquivo ou programa em lotes que chame o comando.
  • 32 bits é o padrão.

Tópicos relacionados


Abrir um console do MMC salvo para computadores locais e remotos

Elemento gráfico do Microsoft Windows

Para abrir um console do MMC salvo para computadores locais e remotos

  1. Se você estiver usando o XOX ou o XOX, clique aqui para obter instruções:
  • Clique em Iniciar.
  • Clique em Painel de controle.
  • Clique em Ferramentas administrativas.
  • Clique no console.

Observações

  • Estas são as outras opções para abrir consoles:
    • Você também pode abrir arquivos de console usando a opção Executar como. Com esse comando, você pode fazer logon no computador com direitos de usuário para executar tarefas de rotina e abrir arquivos de console para executar tarefas de administração com direitos de administrador, conforme necessário. Você pode usar esse comando digitando runas no prompt de comando ou clicando com o botão direito do mouse em um arquivo .msc e, em seguida, clicando em Executar como.
    • Abra a pasta onde seu console está localizado e clique no console.
    • Se você estiver usando o Windows 2000, consulte aqui para obter instruções:
  • Clique em Iniciar.
  • Clique em Configurações.
  • Clique em Painel de controle.
  • Clique em Ferramentas administrativas.
  • Clique no console.
  • Por padrão, os arquivos de console não estão disponíveis na pasta Ferramentas administrativas no menu Programas. Entretanto, se você criar um console personalizado e salvá-lo na pasta Ferramentas administrativas por usuário (localizada em systemdrive\Documents e Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), essa pasta será exibida no menu Programas desse usuário.

Tópicos relacionados


Criar um atalho de área de trabalho para abrir o MMC

Elemento gráfico do Microsoft Windows

Para criar um atalho de área de trabalho para abrir o MMC

  1. Clique com o botão direito do mouse em um espaço aberto da área de trabalho, aponte para Novo e clique em Atalho.
  2. Siga as instruções na tela. Um atalho será exibido na área de trabalho.

Observações

  • Você pode arrastar um atalho que criou na área de trabalho para outras pastas do sistema operacional, como a pasta onde você mantém seus arquivos .msc ou a pasta do menu Iniciar.
  • Você também pode criar um atalho para o MMC em pastas usando o Windows Explorer. Para fazer isso, clique na pasta em que você deseja que o atalho fique, aponte para Novo no menu Arquivo, clique em Atalho e siga as instruções na tela.

Tópicos relacionados


Criar um arquivo de console do MMC

  • Adicionar um snap-in a um novo console do MMC de um computador local
  • Adicionar um snap-in publicado a um novo console do MMC
  • Adicionar um snap-in de extensão a um console do MMC
  • Adicionar um snap-in de extensão publicado a um console do MMC
  • Criar uma exibição de painel de tarefas em um console salvo do MMC
  • Criar tarefas para uma exibição de painel de tarefas em um console salvo do MMC
  • Editar uma exibição de painel de tarefas em um console salvo do MMC
  • Editar tarefas em uma exibição de painel de tarefas em um console salvo do MMC
  • Adicionar um item à lista Favoritos em um console do MMC
  • Organizar a lista Favoritos em um console do MMC
  • Instalar um programa gerenciado por um snap-in do MMC
  • Definir opções do console do MMC
  • Salvar um arquivo de console do MMC


Adicionar um snap-in a um novo console do MMC

Elemento gráfico do Microsoft Windows

Adicionar um snap-in a um novo console do MMC de um computador local

  1. Abra o MMC.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
  3. Em Snap-in, clique duas vezes no item que você deseja adicionar e, se solicitado, siga um destes procedimentos:
    • Clique em Computador local: (o computador onde este console está sendo executado) e, em seguida, clique em Concluir.
    • Se um assistente for exibido, siga as instruções.
  4. Para adicionar outro item ao console, repita a etapa 3.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • Se você adicionar um snap-in a um console, e o snap-in se tornar danificado, tente adicionar outra instância do mesmo snap-in ao console. Configure-o conforme necessário e remova a primeira instância do snap-in.
  • Se um console for salvo na pasta Ferramentas administrativas de cada usuário (localizada em unidade_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas desse usuário.
  • Você só pode acessar os snap-ins publicados no Active Directory.
  • Um computador remoto é totalmente específico de snap-in.
  • Se um snap-in não for exibido na lista, você deverá primeiro instalar o programa, dispositivo ou serviço administrado pelo ele. Na caixa de diálogo Adicionar/remover snap-in do serviço de diretório do Active Directory, você poderá acessar os snap-ins que não estão instalados localmente: Você deve estar usando um dos seguintes sistemas operacionais para que esse processo funcione (consulte aqui para obter a lista de sistemas operacionais):
    • Estiver executando o Windows 98 com o Windows Installer instalado;

      • – ou –

    • Estiver executando o Windows NT 4.0 com o Windows Installer instalado;

      • – ou –

    • Estiver executando o Windows Millennium Edition;

      • – e –

    • For parte de um domínio do Windows.
    • Para obter mais informações, consulte a Ajuda.
  • Para tornar um item subordinado a um item da árvore de console que não seja a raiz do console, clique no item apropriado em Snap-ins adicionados a antes de clicar em Adicionar na etapa 2.

Tópicos relacionados


Adicionar um snap-in publicado a um novo console do MMC

Elemento gráfico do Microsoft Windows

Para adicionar um snap-in publicado a um novo console do MMC

  1. Abra o MMC.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
  3. Clique no snap-in publicado que você deseja adicionar e, em seguida, clique em Adicionar.
  4. Se um assistente do Windows Installer for exibido, siga as instruções e, depois, siga um destes procedimentos:
    • Clique em Computador local: (o computador onde este console está sendo executado) e, em seguida, clique em Concluir.
    • Se um assistente do snap-in for exibido, siga as instruções.
  5. Para adicionar outro item ao console, repita a etapa 3.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • Para os snap-ins disponíveis no serviço de diretório Active Directory, Não instalado será exibido na coluna Fornecedor.
  • Você só poderá acessar os snap-ins de extensão publicados no Active Directory se o computador que você estiver usando executar o Windows 98 com o Windows Installer, o Windows NT 4.0 com o Windows Installer ou o Windows Millennium Edition. Além disso, o computador deve fazer parte de um domínio Windows. Para obter mais informações sobre como publicar aplicativos e sobre o Windows Installer, consulte a Ajuda.
  • Se um console for salvo na pasta Ferramentas administrativas de cada usuário (localizada em raiz_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas Administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas do usuário.
  • Para tornar um item subordinado a um item da árvore de console que não seja a raiz do console, clique no item apropriado em Snap-ins adicionados a antes de clicar em Adicionar na etapa 2.
  • Para obter mais informações sobre o Windows Installer, vá para MSDN Online Downloads (http://www.microsoft.com/).

Tópicos relacionados


Adicionar um snap-in de extensão a um console do MMC

Elemento gráfico do Microsoft Windows

Para adicionar um snap-in de extensão a um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique no item que você deseja estender.
  3. Na guia Extensões, em Extensões disponíveis, marque a caixa de seleção próxima à extensão que você deseja adicionar e clique em OK.

Observações

  • Para adicionar todas as extensões disponíveis de um determinado item, na guia Extensões, marque a caixa de seleção Adicionar todas as extensões. Para adicionar apenas determinadas extensões, desmarque essa caixa de seleção.
  • Você também pode usar esse procedimento para remover extensões de um console desmarcando a caixa de seleção de uma extensão que foi anteriormente marcada.

Tópicos relacionados


Adicionar um snap-in de extensão publicado a um console do MMC

Elemento gráfico do Microsoft Windows

Para adicionar um snap-in de extensão publicado a um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e, em seguida, clique em OK.
  2. No menu Arquivo, clique em Adicionar/remover snap-in.
  3. Na guia Extensões, em Snap-ins que podem ser estendidos, clique no snap-in que você deseja estender.
  4. Em Extensões disponíveis, marque a caixa de seleção próxima à extensão publicada que você deseja adicionar e clique em Download.
  5. Se um ou mais assistentes forem exibidos, siga as instruções na tela e clique em OK.

Importante

  • Se você marcar a caixa de seleção Adicionar todas as extensões na guia Extensões, apenas snap-ins de extensão instalados e registrados localmente serão adicionados ao console. Você deve fazer o download especificamente dos snap-ins de extensão no serviço de diretório para torná-los disponíveis em um console. Desse modo, para adicionar todas as extensões publicadas de um determinado item, não marque a caixa de seleção Adicionar todas as extensões. Em vez disso, marque a caixa de seleção próxima a cada extensão publicada.

Observações

  • Para os snap-ins de extensão que estão disponíveis no serviço de diretório Active Directory, os nomes de snap-in aparecem acompanhados da frase (não instalado).
  • Você só poderá acessar os snap-ins de extensão publicados no Active Directory se o computador que você estiver usando executar o Windows 98 com o Windows Installer, o Windows NT 4.0 com o Windows Installer ou o Windows Millennium Edition. Além disso, o computador deve fazer parte de um domínio do Windows. Para obter mais informações sobre como publicar aplicativos e sobre o Windows Installer, consulte a Ajuda.

Tópicos relacionados


Criar uma exibição de painel de tarefas em um console salvo do MMC

Elemento gráfico do Microsoft Windows

Para criar uma exibição do painel de tarefas em um console salvo do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e, em seguida, clique em OK.
  2. Na árvore de console, clique em um item de snap-in.
  3. No menu Ação, clique em Nova exibição do painel de tarefas.
  4. Siga as instruções no Assistente para exibir novo painel de tarefas.
  5. Se você deseja criar tarefas imediatamente após criar a exibição do painel de tarefas, marque a caixa de seleção Iniciar ‘Assistente de nova tarefa’ na tela final do assistente.

Observação

  • Você também pode criar uma exibição do painel de tarefas em um novo console, mas deve primeiro adicionar um snap-in ao console.

Tópicos relacionados


Criar tarefas para uma exibição de painel de tarefas em um console salvo do MMC

Elemento gráfico do Microsoft Windows

Para criar tarefas para uma exibição de painel de tarefas em um console salvo do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. Na árvore de console, clique em um item associado à exibição do painel de tarefas e, no menu Ação, clique em Editar modo de exibição do painel de tarefas.
  3. Na guia Tarefas, clique em Nova.
  4. Siga as instruções no Assistente de nova tarefa.

Observações

  • Se você está criando uma nova exibição de painel de tarefas e deseja adicionar uma tarefa, pode iniciar o Assistente de nova tarefa marcando a caixa de seleção Iniciar 'Assistente de nova tarefa'.
  • Na página Comando do menu de atalho do Assistente de nova tarefa, em Fonte do comando, se você selecionou Tarefa do item da árvore e não consegue visualizar todos os itens na árvore de console, deve expandi-la manualmente antes de iniciar o Assistente de nova tarefa.

Tópicos relacionados


Editar um modo de exibição do painel de tarefas em um console do MMC salvo

Elemento gráfico do Microsoft Windows

Para editar um modo de exibição do painel de tarefas em um console do MMC salvo

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. Na árvore de console, clique em um item associado a um modo de exibição do painel de tarefas. No menu Ação, clique em Editar modo de exibição do painel de tarefas.
  3. Na guia Geral, siga um destes procedimentos:
    • Para alterar o nome de um modo de exibição do painel de tarefas, em Nome, digite um novo nome. O nome é exibido no canto superior direito do modo de exibição do painel de tarefas e na guia na margem inferior desse modo.
    • Para alterar a descrição de um modo de exibição do painel de tarefas, em Descrição, digite uma nova descrição. A descrição aparece abaixo de nome na exibição do painel de tarefas.
    • Para alterar o formato da lista ou para configurar o modo de exibição do painel de tarefas para que contenha apenas tarefas, em Estilo para o painel de detalhes, clique em um novo formato de lista ou clique em Nenhuma lista.
    • Para remover a guia Padrão do modo de exibição, marque Ocultar guia padrão.
    • Para configurar descrições de tarefas, em Estilo para descrições de tarefas, clique em Texto ou InfoTip. As descrições de texto são exibidas à direita da tarefa. As descrições de Infotip são exibidas como janelas pop-up quando um usuário aponta para tarefas com o mouse.
    • Para alterar o tamanho da lista, em Tamanho da lista, clique em um novo tamanho para a largura (Lista vertical) ou altura (Lista horizontal) da lista.
  4. Clique em Opções e siga um destes procedimentos:
    • Para associar a exibição do painel de tarefas unicamente ao item atualmente selecionado na árvore de console, clique em Item da árvore selecionado.
    • Para associar a exibição do painel de tarefas que mostra todos os itens na árvore de console do mesmo tipo do item atualmente selecionado, clique em Todos os itens da árvore que são do mesmo tipo que o item selecionado na árvore.

      Observação

      • Se você clicar nessa opção e desejar que a exibição do painel de tarefas apareça por padrão, em vez da exibição da guia Padrão, marque a caixa de seleção Alterar exibição padrão desta exibição do painel de tarefas para estes itens da árvore.

Tópicos relacionados


Editar tarefas em uma exibição de painel de tarefas em um console salvo do MMC

Elemento gráfico do Microsoft Windows

Para editar tarefas em uma exibição de painel de tarefas em um console salvo do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e, em seguida, clique em OK.
  2. Na árvore de console, clique em um item associado à exibição do painel de tarefas e, no menu Ação, clique em Editar modo de exibição do painel de tarefas.
  3. Na guia Tarefas, em Exibir estas tarefas, clique em uma tarefa e faça o seguinte:
    • Para mover a tarefa selecionada para cima na lista da exibição do painel de tarefas, clique em Mover para cima.
    • Para mover a tarefa selecionada para baixo na lista da exibição do painel de tarefas, clique em Mover para baixo.
    • Para excluir a tarefa da lista na exibição do painel de tarefas, clique em Remover.
    • Clique em Modificar e faça o seguinte:
      • Para alterar o nome de uma tarefa, na guia Geral, em Nome da tarefa, digite um novo nome.
      • Para alterar a descrição de uma tarefa, na guia Geral, em Descrição, digite uma nova descrição. Dependendo de como você configurou a exibição do painel de tarefas, o resultado aparecerá à direita da tarefa ou na tela quando um usuário apontar para a tarefa com o mouse.
      • Para alterar o ícone da tarefa, na guia Ícone de tarefa, clique em um novo ícone e, em seguida, clique em OK.

Tópicos relacionados


Adicionar um item à lista Favoritos em um console do MMC

Elemento gráfico do Microsoft Windows

Para adicionar um item à lista Favoritos em um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc/a e, em seguida, clique em OK.
  2. Na árvore de console, clique no item que você deseja adicionar à lista Favoritos.
  3. No painel de detalhes, clique na guia Padrão ou na guia da exibição do painel de tarefas que você deseja adicionar.
  4. No menu Favoritos, clique em Adicionar a Favoritos.
  5. Em Criar em, siga um destes procedimentos:
    • Para adicionar um item a uma pasta existente, clique na pasta em que você deseja que o item resida e, em seguida, clique em OK.
    • Para adicionar um item a uma nova pasta, clique na pasta que será a pasta pai e, em seguida, clique em Nova pasta. Em Nome da pasta, digite um nome, clique em OK e, em seguida, clique novamente em OK.

Observação

  • A guia Padrão e as guias de exibição do painel de tarefas só estarão disponíveis no painel de detalhes de um console se você clicar em um item na árvore de console configurado para ter um modo de exibição do painel de tarefas. Caso contrário, nenhuma guia estará visível no painel de detalhes.

Tópicos relacionados


Organizar a lista Favoritos em um console do MMC

Elemento gráfico do Microsoft Windows

Para organizar a lista Favoritos em um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc/a e clique em OK.
  2. No menu Favoritos, clique em Organizar Favoritos e faça o seguinte:
    • Para adicionar uma pasta, clique em Criar pasta, digite um nome em Nome da pasta e clique em OK.
    • Para mover um item para uma pasta, clique no item na pasta Favoritos, clique em Mover para pasta, clique na pasta onde você quer que o item seja exibido e, em seguida, clique em OK.
    • Para alterar o nome de um item, clique no item na pasta Favoritos, clique em Renomear, digite um novo nome e pressione ENTER.
    • Para remover um item, clique no item na pasta Favoritos e, em seguida, clique em Excluir.

Tópicos relacionados


Instalar um programa gerenciado por um snap-in do MMC

Elemento gráfico do Microsoft Windows

Para instalar um programa gerenciado por um snap-in do MMC

  1. Se você estiver usando o XOX ou o XOX, clique em:
    • Clique em Iniciar.
    • Clique em Painel de controle.
    • Clique em Adicionar ou remover programas.
    • Siga as instruções na tela.
  2. Se você estiver usando o Windows 2000, clique em:
    • Clique em Iniciar.
      • ,
    • Clique em Configurações.
    • Clique em Painel de controle.
    • Clique em Adicionar ou remover programas.
    • Siga as instruções na tela.


Definir opções do console do MMC

Elemento gráfico do Microsoft Windows

Para definir opções do console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e, em seguida, clique em OK.
  2. No menu Arquivo, clique em Opções.
  3. Para alterar o título do console, digite um novo título na caixa.
  4. Para alterar o ícone do console, clique em Alterar ícone. Em Nome de arquivo, digite o caminho para um arquivo que contenha ícones.
  5. Em Ícone atual, clique em um ícone e, em seguida, clique em OK.
  6. Para alterar o modo padrão do console, em Modo de console, clique no modo no qual você deseja abrir o console.
  7. Se o modo padrão do console for um dos modos de usuário, faça o seguinte:
    • Para impedir que os usuários editem o console, marque a caixa de seleção Não salvar alterações neste console.
    • Para permitir que os usuários acessem a caixa de diálogo Personalizar exibição, marque a caixa de seleção Permitir que o usuário personalize exibições.

Observações

  • Se você alterar o título de um console, a barra de título não exibirá o caminho dos itens clicados na árvore de console. Entretanto, se você não alterar o título, ou excluí-lo, os caminhos serão exibidos.
  • Muitos arquivos contêm ícones que podem ser usados para personalizar consoles. Por exemplo, você pode encontrar mais ícones em Shell32.dll, localizado na pasta %raiz_do_sistema%\System32.
  • Para interromper o recebimento da mensagem Salvar as configurações do console em nome_do_console?, que é exibida todas as vezes que você fecha um console aberto em modo de autor, defina o modo padrão do console para um dos modos de usuário e desmarque a caixa de seleção Não salvar alterações neste console. Dessa forma, todas as alterações feitas no console serão salvas por padrão.

Tópicos relacionados


Salvar um arquivo de console do MMC

Elemento gráfico do Microsoft Windows

Para salvar um arquivo de console do MMC

  • Em um arquivo de console do MMC no modo de autor, clique em Salvar no menu Arquivo.

Observações

  • Para abrir um console salvo no modo de autor, clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor ou clique em Iniciar e, em seguida, clique em Executar e digite mmc caminho \ nome_do_arquivo.msc /a.
  • Se o console não estiver aberto no modo de autor, a opção Salvar no menu Arquivo não estará disponível. Nesse caso, o salvamento será determinado pela marcação da caixa de seleção Não salvar alterações neste console quando o console foi configurado. Essa caixa de seleção está disponível clicando-se em Opções no menu Arquivo. Se essa caixa de seleção não for marcada, as alterações no console serão automaticamente salvas quando você fechar o MMC. Se essa caixa de seleção for marcada, as alterações no console serão descartadas quando você fechar o MMC.
  • Se um console for salvo na pasta Ferramentas administrativas por usuário (localizada em %unidade_do_sistema%\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas desse usuário.

Tópicos relacionados


Modificar um arquivo de console salvo do MMC

  • Renomear um item na árvore de um console do MMC
  • Remover um snap-in ou outro item de um console do MMC
  • Criar uma nova janela de console a partir de um console do MMC
  • Criar uma nova janela de console a partir de um determinado ponto da árvore de console do MMC


Renomear um item na árvore de um console do MMC

Elemento gráfico do Microsoft Windows

Para renomear um item na árvore de um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. Na árvore de console, clique no item que você deseja renomear.
  3. No menu Ação, clique em Renomear e digite o novo nome.

Observação

  • Nem todos os itens da árvore de console podem ser renomeados. Se o comando Renomear não for exibido no menu Ação, você não poderá renomear o item.

Tópicos relacionados


Remover um snap-in ou outro item de um console do MMC

Elemento gráfico do Microsoft Windows

Para remover um snap-in ou outro item de um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_d`o_arquivo.msc /a e clique em OK.
  2. No menu Arquivo, clique em Adicionar/remover snap-in.
  3. Na guia Autônomo, clique no item que você deseja remover e, em seguida, clique em Remover.

Tópicos relacionados


Criar uma nova janela de console a partir de um console do MMC

Elemento gráfico do Microsoft Windows

Para criar uma nova janela de console a partir de um console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. No menu Janela, clique em Nova janela.

Observação

  • A nova janela de console tem raiz na raiz do console salvo.

Tópicos relacionados


Criando uma nova janela de console a partir de um determinado ponto da árvore de console do MMC

Elemento gráfico do Microsoft Windows

Para criar uma nova janela de console a partir de um determinado ponto da árvore de console do MMC

  1. Abra um console salvo no modo de autor seguindo um destes procedimentos:
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
    • Clique em Iniciar, clique em Executar, digite mmc caminho\nome_do_arquivo.msc /a e clique em OK.
  2. Na árvore de console, clique no item que você deseja que se torne a raiz do novo console.
  3. No menu Ação, clique em Nova janela começando aqui.

Tópicos relacionados


Trabalhar com o MMC e os arquivos de console salvos

  • Exibindo extensões para snap-ins
  • Usando a guia de limpeza de disco
  • Ocultar ou exibir recursos de um console salvo do MMC
  • Ocultar ou exibir menus e barras de ferramentas para snap-ins
  • Reordenar colunas em um console do MMC
  • Ocultar ou exibir colunas em um console do MMC
  • Filtrar linhas em um console do MMC
  • Exportar colunas de um console do MMC para um arquivo de texto
  • Exibir o snap-in e item associados de uma página de propriedades


Exibindo extensões

Elemento gráfico do Microsoft Windows

Para exibir extensões de snap-ins

  • Clique em Iniciar, vá para Programas adicionais ou Mais programas, vá para Ferramentas administrativas e clique no nome do arquivo de console.
  • Na caixa de diálogo Adicionar/remover snap-in, vá para Snap-ins adicionados a: e selecione o snap-in que você deseja utilizar.
  • Clique na guia Extensões.
  • As extensões serão exibidas na caixa Extensões disponíveis.
  • As extensões de outros snap-ins podem ser exibidas a partir das seleções feitas na lista de itens Snap-ins que podem ser estendidos:

Observação

  • Você deve estar no modo de autor para exibir o menu Adicionar/remover snap-in.
  • Por padrão, os snap-ins adicionados por usuário são salvos em Ferramentas administrativas (unidade_do_sistema/Documents and Settings/nome_do_usuário/Iniciar/Programas/Ferramentas administrativas). Eles podem ser salvos em qualquer outro local que o usuário desejar.
  • Para abrir um arquivo de console no modo de autor, clique com o botão direito do mouse no nome do arquivo de console e selecione Autor.
  • No console do MMC aberto, clique em Arquivo. No menu suspenso, selecione Adicionar/remover snap-in.
  • O menu Adicionar/remover snap-in não está disponível em nenhum dos módulos de usuário.

Tópicos relacionados


Usando a guia de limpeza de disco

Elemento gráfico do Microsoft Windows

Para usar a guia de limpeza de disco

  1. Abra o MMC.
  2. Clique em Arquivo na barra de menus.
  3. Clique em Opções no menu suspenso. A caixa de diálogo Opções será aberta, exibindo duas guias.
  4. Clique na guia Limpeza de disco.
  5. Para excluir os arquivos de console, clique em Excluir arquivos.
  6. Feche a caixa de diálogo clicando em OK.
  7. Para cancelar, clique em Cancelar na parte inferior da caixa de diálogo.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • O texto na guia Limpeza de disco informa que as alterações feitas na exibição de um arquivo de console são salvas no seu perfil. A quantidade de espaço em disco usada no computador para essas alterações de console é indicada na guia Limpeza de disco.


Ocultar ou exibir recursos de um console salvo do MMC

Elemento gráfico do Microsoft Windows

Para ocultar ou exibir recursos de um console salvo do MMC

  1. Abra um console salvo.
  2. No menu Exibir, clique em Personalizar.
  3. Em MMC, faça o seguinte:
    • Para exibir ou ocultar a árvore de console, marque ou desmarque a caixa de seleção Árvore de console.
    • Para exibir ou ocultar os menus Ação e Exibir, marque ou desmarque a caixa de seleção Menus padrão (Ação e Exibir).
    • Para exibir ou ocultar a barra de ferramentas do console, marque ou desmarque a caixa de seleção Barra de ferramentas padrão.
    • Para exibir ou ocultar a barra de status na parte inferior da janela do console, marque ou desmarque a caixa de seleção Barra de status.
    • Para exibir ou ocultar a barra de descrição na parte superior do painel de detalhes, marque ou desmarque a caixa de seleção Barra de descrição.
    • Para exibir ou ocultar as guias na parte inferior do painel de detalhes, marque ou desmarque a caixa de seleção Guias de navegação do painel de tarefas.

Importante

  • Se você desmarcar a caixa de seleção Menus padrão (Ação e Exibir) e fechar a caixa de diálogo Personalizar exibição, não poderá acessar comandos nos menus Ação e Exibir, incluindo o comando Personalizar. Nessa situação, para acessar a caixa de diálogo Personalizar exibição, clique no menu do sistema (o ícone exibido no canto superior esquerdo do console) e, em seguida, clique em Personalizar exibição.

Observações

  • Para abrir um console salvo no modo de autor, clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor.
  • Clique em Iniciar, clique em Executar e digite mmc caminho\nome_do_arquivo.msc /a.
  • Ao marcar ou desmarcar caixas de seleção, exiba o console para confirmar que as alterações feitas são as que você esperava.
  • Se você ocultar a Árvore de console, o menu Favoritos (se aplicável) ainda poderá ser visto na barra de menus.
  • Você também poderá exibir ou ocultar as guias na parte inferior do painel de detalhes em qualquer exibição de painel de tarefas pré-existente. Selecione Ação no menu, clique em Editar modo de exibição do painel de tarefas, marque ou desmarque a caixa de seleção Ocultar guia padrão e clique em OK.

Tópicos relacionados


Ocultar ou exibir menus e barras de ferramentas para snap-ins

Elemento gráfico do Microsoft Windows

Para ocultar ou exibir menus e barras de ferramentas para snap-ins

  1. Abra um console salvo.
  2. No menu Exibir, clique em Personalizar.
  3. Em Snap-in, siga um ou mais destes procedimentos:
    • Para exibir ou ocultar menus específicos a snap-ins, marque ou desmarque a caixa de seleção Menus.
    • Para exibir ou ocultar barras de ferramentas específicas a snap-ins, marque ou desmarque a caixa de seleção Barras de ferramentas.

Observações

  • Para abrir um console salvo no modo de autor, clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Autor. Clique em Iniciar, clique em Executar e digite mmc caminho\nome_do_arquivo.msc /a.
  • Quando você marca ou desmarca as caixas de seleção Menus e Barras de ferramentas, os menus e as barras de ferramentas são exibidos ou ocultos para todos os snap-ins no console, e não apenas para o snap-in selecionado no momento. Se, ao alternar as caixas de seleção, não houver alteração na exibição, o snap-in selecionado no momento não terá menus nem barras de ferramentas personalizados.

Tópicos relacionados


Reordenar colunas em um console do MMC

Elemento gráfico do Microsoft Windows

Para reordenar colunas em um console do MMC

  1. Em um console do MMC aberto, clique em um item da árvore de console que exiba colunas no painel de detalhes.
  2. No menu Exibir, clique em Adicionar/remover colunas.
  3. Na caixa de diálogo Adicionar/remover colunas, em Colunas exibidas, clique em um nome de coluna e, em seguida, clique em Mover para cima ou Mover para baixo para alterar a posição da coluna.

Observações

  • Você também pode reordenar colunas no painel de detalhes usando um mouse para arrastar um título de coluna da sua posição original para a esquerda ou para a direita. Ao arrastar a coluna, o destaque entre os títulos das colunas indica a nova posição da coluna.
  • Você pode redimensionar as colunas usando o mouse para arrastar os títulos das colunas.
  • Este recurso não está ativado para todos os itens. Se a opção Adicionar/remover colunas não for exibida no menu Exibir, você não poderá usar esse recurso para o item selecionado.

Tópicos relacionados


Ocultar ou exibir colunas em um console do MMC

Elemento gráfico do Microsoft Windows

Para ocultar ou exibir colunas em um console do MMC

  1. Em um console do MMC aberto, clique em um item da árvore de console que exiba colunas no painel de detalhes.
  2. No menu Exibir, clique em Adicionar/remover colunas.
  3. Na caixa de diálogo Adicionar/remover colunas, faça o seguinte:
    • Para ocultar uma coluna, em Colunas exibidas, clique na coluna que você deseja ocultar e, em seguida, clique em Remover.
    • Para exibir uma coluna, em Colunas disponíveis, clique na coluna que você deseja exibir e, em seguida, clique em Adicionar.

Observações

  • Talvez, você não consiga ocultar algumas colunas no painel de detalhes.
  • O recurso de ocultar ou exibir colunas não está habilitado para todos os itens. Se a opção Escolher colunas não for exibida no menu Exibir, você não poderá usar esse recurso para o item selecionado.

Tópicos relacionados


Filtrar linhas em um console do MMC

Elemento gráfico do Microsoft Windows

Para filtrar linhas em um console do MMC

  1. Em um console do MMC aberto, clique em um item da árvore de console que exiba colunas no painel de detalhes.
  2. No menu Exibir, clique em Filtro.
  3. Modifique as opções na guia Filtro da caixa de diálogo Propriedades de Aplicativo conforme desejado.

    4. Os filtros são exibidos abaixo dos títulos das colunas no painel de detalhes.

Observação

  • Este recurso não está ativado para todos os itens. Se a opção Filtro não for exibida no menu Exibir, você não poderá usar esse recurso para o item selecionado.

Tópicos relacionados


Exportar colunas de um console do MMC para um arquivo de texto

Elemento gráfico do Microsoft Windows

Para exportar colunas de um console do MMC para um arquivo de texto

  1. Em um console do MMC aberto, clique em um item na árvore de console que exiba colunas no painel de detalhes.
  2. No menu Ação, clique em Exportar lista.
  3. Na caixa de diálogo Exportar lista, insira as seguintes informações:
    • Em Salvar em, clique em um local para salvar o arquivo.
    • Em Nome do arquivo, digite um nome para o arquivo.
    • Em Salvar como tipo, clique em um formato de arquivo na lista.
    • Para exportar apenas determinadas linhas, marque a caixa de seleção Salvar apenas linhas selecionadas.
  4. Clique em Salvar.

Observações

  • Para exportar apenas determinadas linhas do painel de detalhes, selecione as linhas.
  • Se você deseja exportar todo o conteúdo do painel detalhes, ignore a etapa anterior.
  • Alguns snap-ins não permitem a seleção de mais de uma linha no painel de detalhes. Para esses snap-ins, você pode exportar todas as linhas do painel de detalhes, e não somente as linhas selecionadas.
  • Os formatos de arquivo unicode não estão disponíveis em Salvar como tipo para sistemas operacionais anteriores ao Windows NT 4.0.

Tópicos relacionados


Exibir o snap-in e item associados de uma página de propriedades

Elemento gráfico do Microsoft Windows

Para exibir o snap-in e item associados de uma página de propriedades

  1. Na árvore de console ou no painel de detalhes de um console do MMC aberto, clique com o botão direito do mouse no item cujas propriedades você deseja exibir e clique em Propriedades.
  2. Na caixa de diálogo de propriedades, faça o seguinte:
    • Para exibir o snap-in que forneceu uma página de propriedades específica na caixa de diálogo, mantenha a tecla CTRL pressionada e aponte para o rótulo de uma das guias.
    • Para exibir o local da árvore de console do item associado à caixa de diálogo de propriedades, mantenha a tecla CTRL pressionada e aponte para a barra de título da caixa de diálogo de propriedades.


Definir diretiva para o MMC e snap-ins

  • Restringir o acesso ao modo de autor no MMC
  • Restringir o acesso ao modo de autor no MMC para um domínio
  • Restringir o acesso a uma lista de snap-ins permitidos
  • Restringir o acesso a uma lista de snap-ins permitidos para um domínio
  • Permitir ou restringir o acesso a um snap-in
  • Permitir ou restringir o acesso a um snap-in para um domínio


Restringir o acesso ao modo de autor no MMC

Elemento gráfico do Microsoft Windows

Para restringir o acesso ao modo de autor no MMC

  1. Abra o MMC.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
  3. Em Snap-in, clique em Editor de objeto de diretiva de grupo e, em seguida, clique em Adicionar.
  4. Na caixa de diálogo Selecionar objeto de diretiva de grupo, siga um destes procedimentos:
    • Para editar o Editor de objeto de diretiva de grupo local, clique em Computador local.
    • Para editar um Editor de objeto de diretiva de grupo diferente, clique em Procurar.
  5. Clique em Concluir, clique em Fechar e, em seguida, clique em OK.

    O snap-in Editor de objeto de diretiva de grupo abre o Editor de objeto de diretiva de grupo especificado.

  6. Na árvore de console, clique em Console de gerenciamento Microsoft.

    Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Componentes do Windows
    • Console de gerenciamento Microsoft
  7. No painel de detalhes, clique duas vezes em Impedir que o usuário entre no modo de autor.
  8. Na guia Configuração, siga um destes procedimentos:
    • Para permitir que o usuário utilize o modo de autor no MMC, clique em Não configurado ou Desativado.
    • Para impedir que o usuário utilize o modo de autor no MMC, clique em Ativado.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • Depois que a opção Impedir que o usuário entre no modo de autor for ativada, qualquer tentativa de novo acesso ao console resultará em uma mensagem de erro informando que o acesso ao console está bloqueado no modo de autor. Os usuários com credenciais de administrador podem obter novamente acesso ao modo de autor clicando em Iniciar/Executar/gpedit.msc, que abrirá o Editor de objeto de diretiva de grupo para a diretiva de computador local. Depois, clique em Configuração do usuário/Modelos administrativos/Componentes do Windows/Console de gerenciamento Microsoft. No painel de detalhes, clique duas vezes em Impedir que o usuário entre no modo de autor. Desmarque o botão de opção Ativado para que Não configurado ou Desativado seja selecionado.
  • Esse recurso se aplica somente a uma rede em que o Editor de objeto de diretiva de grupo tenha sido configurado; um administrador de sistema deve ativar esse editor. Não disponível no XOX.
  • Para obter mais informações, clique na guia Explicar da caixa de diálogo Propriedades de Impedir que o usuário entre no modo de autor e consulte a Ajuda.

Tópicos relacionados


Restringir o acesso ao modo de autor no MMC para um domínio

Elemento gráfico do Microsoft Windows

Para restringir o acesso ao modo de autor no MMC para um domínio

  1. Abra Usuários e computadores do Active Directory.
  2. Na árvore de console, clique com o botão direito do mouse na unidade organizacional para a qual você deseja configurar uma diretiva e, em seguida, clique em Propriedades.
  3. Na guia Diretiva de grupo, clique na página de propriedades Editar.
  4. Na árvore de console, clique em Microsoft Management Console.

    Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Componentes do Windows
    • Microsoft Management Console
  5. No painel de detalhes, clique duas vezes em Impedir que o usuário entre no modo de autor.
  6. Na guia Diretiva, siga um destes procedimentos:
    • Para permitir que o usuário utilize o modo de autor no MMC, clique em Não configurado ou Desativado.
    • Para impedir que o usuário utilize o modo de autor no MMC, clique em Ativado.

Observações

  • Para abrir Usuários e computadores do Active Directory, clique em Iniciar, aponte para Programas, aponte para Ferramentas administrativas e clique em Usuários e computadores do Active Directory.
  • O Active Directory se aplica somente a uma rede em que o Editor de objeto de diretiva de grupo tenha sido configurado. Você deve ser um administrador de domínio ou ter direitos equivalentes e usar um computador configurado como controlador de domínio para configurar o Editor de objeto de diretiva de grupo para um domínio.
  • Para obter mais informações, clique na guia Explicar da caixa de diálogo Propriedades de Impedir que o usuário entre no modo de autor e consulte a Ajuda.

Tópicos relacionados


Restringir o acesso a uma lista de snap-ins permitidos

Elemento gráfico do Microsoft Windows

Para restringir o acesso a uma lista de snap-ins permitidos

  1. Abra o MMC.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
  3. Em Snap-in, clique em Editor de objeto de diretiva de grupo e, em seguida, clique em Adicionar.
  4. Na caixa de diálogo Selecionar objeto de diretiva de grupo, siga um destes procedimentos:
    • Para editar o objeto de diretiva de grupo local, clique em Computador local.
    • Para editar um objeto de diretiva de grupo diferente, clique em Procurar.
  5. Clique em Concluir, clique em Fechar e, em seguida, clique em OK.

    O snap-in Editor de objeto de diretiva de grupo fornece acesso ao objeto de diretiva de grupo especificado.

  6. Na árvore de console, clique em Console de gerenciamento Microsoft.

    Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Componentes do Windows
    • Console de gerenciamento Microsoft
  7. No painel de detalhes, clique duas vezes em Restringir usuários à lista de snap-ins explicitamente permitidos.
  8. Na guia Diretiva, siga um destes procedimentos:
    • Para permitir que o usuário acesse os snap-ins que não são explicitamente restritos, clique em Não configurado ou Desativado.
    • Para impedir que o usuário acesse qualquer snap-in que não seja explicitamente permitido, clique em Ativado.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • Esse recurso não está disponível no XOX.
  • Ele se aplica somente a uma rede em que o objeto de diretiva de grupo tenha sido configurado; um administrador de sistema deve ativar o objeto de diretiva de grupo.
  • Se você ativar essa diretiva, somente os snap-ins permitidos serão exibidos na lista de snap-ins disponíveis na caixa de diálogo Adicionar snap-in autônomo no MMC.
  • Para obter mais informações, clique na guia Explicar da caixa de diálogo Propriedades de Restringir usuários à lista de snap-ins explicitamente permitidos e consulte a Ajuda.

Tópicos relacionados


Restringir o acesso a uma lista de snap-ins permitidos para um domínio

Elemento gráfico do Microsoft Windows

Para restringir o acesso a uma lista de snap-ins permitidos para um domínio

  1. Abra Usuários e computadores do Active Directory.
  2. Na árvore de console, clique com o botão direito do mouse na unidade organizacional para a qual você deseja configurar uma diretiva e, em seguida, clique em Propriedades.
  3. Na guia Diretiva de grupo, clique em Editar.

    O Editor de objeto de diretiva de grupo será exibido.

  4. Na árvore de console, clique em Console de gerenciamento Microsoft.

    Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Componentes do Windows
    • Console de gerenciamento Microsoft
  5. No painel de detalhes, clique duas vezes em Restringir usuários à lista de snap-ins explicitamente permitidos.
  6. Na guia Diretiva, siga um destes procedimentos:
    • Para permitir que o usuário acesse os snap-ins que não são explicitamente restritos, clique em Não configurado ou Desativado.
    • Para impedir que o usuário acesse qualquer snap-in que não seja explicitamente permitido, clique em Ativado.

Observações

  • Para abrir Usuários e computadores do Active Directory, clique em Iniciar, aponte para Programas, aponte para Ferramentas administrativas e clique em Usuários e computadores do Active Directory.
  • O Active Directory se aplica somente a uma rede em que o Editor de objeto de diretiva de grupo tenha sido configurado. Você deve ser um administrador de domínio ou ter credenciais administrativas e usar um computador configurado como controlador de domínio para configurar o Editor de objeto de diretiva de grupo para um domínio.
  • Se você ativar essa diretiva, somente os snap-ins permitidos serão exibidos na lista de snap-ins disponíveis na caixa de diálogo Adicionar snap-in autônomo do MMC.
  • Para obter mais informações, clique na guia Explicar da caixa de diálogo Propriedades de Restringir usuários à lista de snap-ins explicitamente permitidos e consulte a Ajuda.

Tópicos relacionados


Permitir ou restringir o acesso a um snap-in

Elemento gráfico do Microsoft Windows

Para permitir ou restringir o acesso a um snap-in

  1. Abra o MMC.
  2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
  3. Em Snap-in, clique em Editor de objeto de diretiva de grupo e, em seguida, clique em Adicionar.
  4. Na caixa de diálogo Selecionar objeto de diretiva de grupo, siga um destes procedimentos:
    • Para editar o objeto de diretiva de grupo local, clique em Computador local.
    • Para editar um objeto de diretiva de grupo diferente, clique em Procurar.
  5. Clique em Concluir, clique em Fechar e, em seguida, clique em OK.
  6. Na árvore de console, clique em Snap-ins restritos/permitidos.

    7. Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Console de gerenciamento Microsoft
    • Snap-ins restritos/permitidos
  7. No painel de detalhes, clique duas vezes no snap-in que você deseja permitir ou restringir e siga um destes procedimentos:
    • Para permitir o acesso do usuário a esse snap-in (a menos que haja uma restrição imposta pela diretiva Restringir usuários à lista de snap-ins explicitamente permitidos), clique em Não configurado.
    • Para permitir que o usuário acesse esse snap-in, clique em Ativado.
    • Para impedir que o usuário acesse esse snap-in, clique em Desativado.

Observações

  • Para abrir o MMC, clique em Iniciar, clique em Executar, digite mmc e clique em OK.
  • Esse recurso se aplica somente a uma rede em que o objeto de diretiva de grupo tenha sido configurado; um administrador de sistema deve ativar o objeto de diretiva de grupo.
  • Para obter mais informações, clique na guia Explicar na caixa de diálogo Propriedades de snap-in e consulte a Ajuda.

Tópicos relacionados


Permitir ou restringir o acesso a um snap-in para um domínio

Elemento gráfico do Microsoft Windows

Para permitir ou restringir o acesso a um snap-in para um domínio

  1. Abra Usuários e computadores do Active Directory.
  2. Na árvore de console, clique com o botão direito do mouse na unidade organizacional para a qual você deseja configurar uma diretiva e, em seguida, clique em Propriedades.
  3. Na guia Diretiva de grupo, clique em Editar.

    O Editor de objeto de diretiva de grupo será exibido.

  4. Na árvore de console, clique em Snap-ins restritos/permitidos.

    Onde?

    • Diretiva nome_da_diretiva
    • Configuração do usuário
    • Modelos administrativos
    • Componentes do Windows
    • Console de gerenciamento Microsoft
    • Snap-ins restritos/permitidos
  5. No painel de detalhes, clique duas vezes no snap-in que você deseja permitir ou restringir e siga um destes procedimentos:
    • Para permitir o acesso do usuário a esse snap-in (a menos que haja uma restrição imposta pela diretiva Restringir usuários à lista de snap-ins explicitamente permitidos), clique em Não configurado.
    • Para permitir que usuário acesse esse snap-in, clique em Ativado.
    • Para impedir que o usuário acesse esse snap-in, clique em Desativado.

Observações

  • Para abrir Usuários e computadores do Active Directory, clique em Iniciar, aponte para Programas, aponte para Ferramentas administrativas e clique em Usuários e computadores do Active Directory.
  • O Active Directory não está disponível no XOX ou XOX.
  • Esse recurso se aplica somente a uma rede em que o Editor de objeto de diretiva de grupo tenha sido configurado. Você deve ser um administrador de domínio ou ter credenciais administrativas e usar um computador configurado como controlador de domínio para configurar o Editor de objeto de diretiva de grupo para um domínio.
  • Quando você restringe ou permite explicitamente o acesso a um snap-in, esse snap-in é adicionado a uma lista de snap-ins restritos ou permitidos. A lista de snap-ins restritos tem prioridade sobre a lista de snap-ins permitidos, de modo que, se o mesmo snap-in existir nas duas listas, o acesso a ele será restrito.
  • Para obter mais informações, clique na guia Explicar na caixa de diálogo Propriedades de snap-in e consulte a Ajuda.

Tópicos relacionados


Conceitos

  • Visão geral sobre o MMC
  • Segurança do MMC
  • Noções básicas sobre o MMC
  • Usando o MMC
  • Executando snap-ins de 32 bits e de 64 bits nos sistemas operacionais da família Windows Server 2003
  • Opções de linha de comando do MMC
  • Recursos


Visão geral sobre o MMC

Você pode usar o Console de gerenciamento Microsoft (MMC) para criar, salvar e abrir ferramentas administrativas (denominadas consoles do MMC) que gerenciam os componentes de hardware, software e rede do sistema Windows. É possível executar o MMC nos vários sistemas operacionais Windows 9x e Windows NT, bem como no XOX, XOX e nos sistemas operacionais da família Windows Server 2003.

O MMC não executa funções administrativas, mas contém ferramentas que fazem isso. O tipo principal de ferramenta que você pode adicionar a um console é denominada snap-in. Os outros itens que você pode adicionar são controles ActiveX, links para páginas da Web, pastas, exibições de painel de tarefas e tarefas.

Existem duas maneiras de usar o MMC: no modo de usuário, trabalhando com consoles do MMC existentes para administrar um sistema, ou no modo de autor, criando novos consoles ou modificando consoles do MMC existentes. Para obter mais informações sobre as diferenças entre o modo de usuário e o modo de autor, consulte Opções de acesso ao console.

Lembre-se sempre da segurança. É recomendável que os administradores usem uma conta com permissões restritas para executar tarefas de rotina e não administrativas, e utilizem uma conta com credenciais administrativas somente para realizar tarefas administrativas específicas. Para fazer isso sem precisar fazer logoff e logon novamente, faça logon com uma conta de usuário regular e use o comando Runas para executar as ferramentas que exijam as credenciais administrativas. Para obter informações detalhadas, consulte Runas.

Para obter informações detalhadas sobre todas as opções de segurança, consulte Práticas recomendadas para segurança, Visão geral de segurança e Práticas recomendadas para segurança local.

Para obter ajuda sobre outros aspectos dos sistemas operacionais da família Windows Server 2003, clique em Iniciar e, em seguida, clique em Ajuda e suporte para acessar o Centro de ajuda e suporte.


Segurança do MMC

Lembre-se sempre da segurança.

Para obter informações detalhadas sobre as opções de segurança, consulte:

  • Por que você não deve executar o computador como um administrador.
  • Executar um programa com credenciais administrativas.
  • Criar um atalho utilizando o comando runas
  • Usando o comando runas com o MMC.
  • Práticas recomendadas para segurança, Visão geral de segurança e Práticas recomendadas para segurança local para obter uma abordagem mais ampla e links para informações relacionadas à segurança.


Noções básicas sobre o MMC

Esta seção aborda os seguintes tópicos:

  • Consoles do MMC
  • Diretiva de grupo e o MMC
  • MMC no modo de autor


Consoles do MMC

Um novo console do MMC é composto por uma janela dividida em dois painéis. O painel da esquerda exibe a árvore de console. A árvore de console mostra os itens que estão disponíveis no console. O painel da direita contém o painel de detalhes. O painel de detalhes mostra as informações e funções relativas a esses itens. Quando você clica em diferentes itens da árvore de console, as informações no painel de detalhes são alteradas. O painel de detalhes pode exibir vários tipos de informações, como páginas da Web, elementos gráficos, gráficos, tabelas e colunas.

Cada console possui seus próprios menus e sua própria barra de ferramentas, separados dos menus e da barra de ferramentas da janela principal do MMC, que ajudam o usuário a executar tarefas. Para obter mais informações sobre a janela principal do MMC, consulte A janela do MMC.

Talvez, o sistema operacional que você está usando já tenha arquivos de console pré-configurados e salvos disponíveis no menu Programas ou na pasta Ferramentas administrativas no Painel de controle.

Os consoles que foram criados em versões anteriores do MMC (versões 1.1 e 1.2) podem ser lidos pelo MMC versão 2.0. Contudo, quando os arquivos são salvos pelo MMC versão 2.0, eles são automaticamente convertidos e não podem ser restaurados para versões anteriores. Para obter informações adicionais, consulte Usando arquivos criados com versões anteriores do MMC com o MMC 2.0.


Diretiva de grupo e o MMC

Somente os administradores podem usar a diretiva de grupo para restringir ou permitir o acesso a snap-ins específicos ou para restringir a capacidade de um usuário ou grupo de utilizar o modo de autor no MMC. Isso se aplica a uma rede onde a diretiva de grupo tenha sido configurada.

Para definir diretivas para usuários de um computador específico, você deve ser um administrador desse computador ou ter direitos equivalentes. Para definir diretivas para uma unidade organizacional em um domínio, você deve ser um administrador desse domínio ou ter direitos equivalentes. Você não pode usar o MMC para criar diretivas de computador; pode apenas criar diretivas de usuário.

Para obter mais informações sobre a diretiva de grupo, consulte a Ajuda.

Para obter mais informações sobre como aplicar a diretiva de grupo ao MMC, consulte Definindo diretiva de grupo no MMC.


MMC no modo de autor

Você pode usar o MMC no modo de autor para criar novos consoles ou modificar consoles existentes. Para criar uma ferramenta administrativa, adicione snap-ins e outros itens a um console. Você pode criar janelas de console adicionais que forneçam exibições dos vários itens que compõem um console. Você também pode criar exibições de painel de tarefas que contenham vínculos de atalho para executar comandos de menu em diferentes locais e ferramentas do console, bem como executar funções de linha de comando. Após salvar um console, você pode distribuí-lo aos usuários.

Esta seção aborda os seguintes tópicos:

  • A janela do MMC
  • Snap-ins
  • Tarefas e exibições de painel de tarefas
  • A árvore de console e a raiz do console
  • A lista Favoritos
  • Opções de acesso ao console


A janela do MMC

Os componentes de um console do MMC estão contidos na janela do MMC. Essa janela possui vários menus e uma barra de ferramentas que fornecem os comandos para abrir, criar e salvar os consoles do MMC. O menu e a barra de ferramentas da janela do MMC são denominados barra de menus principal e barra de ferramentas principal, respectivamente. Além disso, há uma barra de status na parte inferior da janela e uma barra de descrição na parte superior do painel de detalhes. Para exibir a janela do MMC, abra o MMC clicando em Iniciar, em seguida, em Executar, digite "mmc" e clique em OK.

Quando você abre um novo console do MMC, uma janela do console é exibida na área de trabalho da janela do MMC. Na janela do console, você pode montar e configurar um novo console e trabalhar com as ferramentas no console. Após adicionar itens a um console, você pode ocultar a barra de menus principal, a barra de ferramentas principal, a barra de descrição e a barra de status para impedir que os usuários façam alterações ao console. Para obter mais informações, consulte Para ocultar ou exibir recursos de um console salvo do MMC e Para ocultar ou exibir menus e barras de ferramentas de um snap-in.


Snap-ins

Um snap-in é o componente básico de um console do MMC. Os snap-ins sempre residem em um console e não são executados fora do MMC.

Quando você instala um componente que tem um snap-in associado a ele, esse snap-in fica disponível para qualquer um que esteja criando um console nesse computador (a menos que ele esteja restrito por uma diretiva de usuário). Para obter informações sobre diretivas de usuário, consulte Diretivas de grupo e o MMC.

Snap-ins autônomos e de extensão

O MMC fornece suporte a dois tipos de snap-ins: autônomos e de extensão. Você pode adicionar um snap-in autônomo, normalmente denominado snap-in, a uma árvore de console sem que um outro item seja adicionado primeiro. Um snap-in de extensão, normalmente denominado extensão, será sempre adicionado a um snap-in autônomo ou de extensão que já esteja na árvore de console. Quando as extensões são ativadas para um snap-in, elas operam nos objetos controlados pelo snap-in, como um computador, uma impressora, um modem ou outro dispositivo.

Quando você adiciona um snap-in ou extensão a um console, ele pode ser exibido como um novo item na árvore de console ou pode adicionar itens do menu de atalho, barras de ferramentas adicionais, páginas de propriedades adicionais ou assistentes a um snap-in já instalado no console.

Adicionando snap-ins a um console

Você pode adicionar um ou vários snap-ins e outros itens a um console. Além disso, é possível adicionar várias instâncias de um snap-in específico ao mesmo console para administrar vários computadores ou reparar um console danificado. Cada vez que você adiciona uma nova instância de um snap-in a um console, todas as variáveis desse snap-in são definidas para valores padrão até que o snap-in seja configurado. Por exemplo, se você configurar um snap-in específico para gerenciar um computador remoto e, em seguida, adicionar uma segunda instância do snap-in, a segunda instância não será automaticamente configurada para gerenciar o computador remoto.

Em geral, você só pode adicionar snap-ins que estejam instalados no computador que está usando para criar um console. No entanto, se seu computador fizer parte de um domínio, você poderá usar o MMC para fazer o download de quaisquer snap-ins que não estejam instalados localmente, mas que estejam disponíveis no serviço de diretório Active Directory. Para obter mais informações sobre como adicionar snap-ins e extensões publicados a um console, consulte Criando consoles. Para obter mais informações sobre como distribuir software usando o Active Directory, consulte Delegando a administração.


Tarefas e exibições do painel de tarefas

As exibições de painel de tarefas são páginas às quais você pode adicionar exibições do painel de detalhes de um console, bem como atalhos para funções dentro e fora de um determinado console. Você pode usar esses atalhos para executar tarefas como iniciar assistentes, abrir páginas de propriedades, executar comandos de menu, executar linhas de comando e abrir páginas da Web. Você pode configurar uma exibição de painel de tarefas para que ela contenha todas as tarefas de que um determinado usuário necessite. Além disso, você pode criar várias exibições de painel de tarefas em um console, para que possa agrupar essas tarefas por função ou usuário.

Uma exibição do painel de tarefas pode facilitar a execução dos trabalhos pelos novos usuários. Por exemplo, você pode adicionar tarefas aplicáveis a uma exibição do painel de tarefas e ocultar a árvore de console, a fim de que um usuário possa começar a utilizar as ferramentas antes de se familiarizar com a localização de itens específicos da árvore de console ou do sistema operacional.

Você também pode usar exibições do painel de tarefas para tornar mais fáceis as tarefas complexas. Por exemplo, se você tiver de executar freqüentemente uma tarefa que envolva vários snap-ins e outras ferramentas, poderá apresentar as tarefas em um único local que abra ou execute as caixas de diálogo, as páginas de propriedades, as linhas de comando e os scripts necessários.

Para obter mais informações sobre como criar tarefas e exibições de painel de tarefas, consulte Criando consoles.


A árvore de console e a raiz do console

A árvore de console é uma estrutura hierárquica localizada no painel esquerdo de um console do MMC. A árvore de console mostra os itens que estão disponíveis em um console. Esses itens podem incluir pastas, snap-ins, controles, páginas da Web e outras ferramentas.

Para exibir a árvore de console de um novo console, abra o MMC clicando em Iniciar, em seguida, em Executar, digite "mmc" e clique em OK.

Em um novo console, o único item da árvore de console é uma pasta denominada Raiz do console. Você pode criar as funções administrativas do console adicionando itens ao console. Para obter instruções sobre como adicionar itens a um console, consulte Criando consoles.

Não é necesário colocar uma janela de console na raiz do console. Você pode localizar uma janela de console em qualquer item da árvore de console. Isso oculta os itens da árvore de console acima da raiz antiga e concentra a janela na ova raiz do console e em quaisquer ferramentas administrativas abaixo dela.

Para obter mais informações sobre como alterar o local da raiz de um console, consulte Para criar uma nova janela de console a partir de um determinado ponto da árvore de console do MMC.

Recipientes da árvore de console

Um recipiente é qualquer item da árvore de console ao qual os objetos são adicionados. Clique duas vezes no sinal de mais Imagem do sinal de mais para expandir um recipiente e exibir seu conteúdo e no sinal de menos Imagem do sinal de menos para reduzir o recipiente. O recipiente padrão é uma pasta Imagem da pasta, que você pode usar para agrupar itens relacionados em uma árvore de console. Entretanto, você também pode usar o MMC para adicionar ferramentas a itens que não sejam pastas, que também se tornarão recipientes.

A árvore de console é um recipiente. Sua única função é conter a árvore de console. Em geral, o item superior de um snap-in é uma pasta ou outro recipiente.

Outro tipo de item que pode conter outros itens é um item exibível. Quando você clica em um item exibível, ele exibe uma lista, um texto ou informações gráficas do painel de detalhes, em vez de exibir itens adicionais. As páginas da Web são itens exibíveis porque requerem um navegador, que só pode ser aberto no painel de detalhes. Não adicione itens a itens exibíveis, pois o usuário poderá ocultar a árvore de console. Se você fizer isso, talvez ele não saiba que um item exibível contém outros itens. Em vez disso, se você tiver uma coleção de itens exibíveis, poderá adicionar uma pasta à árvore de console e agrupar os itens exibíveis na pasta. Isso permitirá que um usuário faça a sua seleção entre todos os itens quando a árvore de console estiver oculta.

Para obter instruções sobre como ocultar a árvore de console, consulte Para ocultar ou exibir os recursos de um console salvo do MMC.

Um tipo de item que não pode conter outros itens é uma folha. Quando você clica em uma folha, ela lista os itens do painel de detalhes. Normalmente são itens que estão individualmente contidos na árvore de console. Entretanto, quando o número de itens chega a centenas ou milhares, um snap-in usa uma folha em vez de um recipiente.

Adicionando nova funcionalidade a um console

Você pode achar que nenhum dos snap-ins fornecidos pelo comando Adicionar/remover snap-in oferece exatamente os recursos necessários. Nesse caso, tente uma destas soluções possíveis:

  • Verifique os snap-ins ou extensões adicionais que podem ter sido postados na Web pela Microsoft ou por outros fornecedores.
  • Crie sua própria extensão para um snap-in existente ou crie um novo snap-in autônomo.

Para obter mais informações sobre essas opções, consulte Recursos.


A lista de favoritos

A lista Favoritos está localizada no menu Favoritos. Você pode usá-la para criar atalhos para itens da árvore de console. Para sua conveniência, você pode adicionar atalhos a ferramentas que usa freqüentemente ou a ferramentas que estão vários níveis abaixo na árvore de console. Você também pode usar a lista de favoritos para facilitar a conclusão de tarefas por parte de novos usuários. Por exemplo, você pode criar um console que tenha atalhos na lista de favoritos somente para os itens da árvore de console que sejam necessários para que um determinado usuário execute uma tarefa. Em seguida, você poderá ocultar a árvore de console para simplificar ainda mais a exibição.

Você também pode usar a lista Favoritos para organizar exibições de painel de tarefas. Por exemplo, um console complexo pode ter várias exibições de painel de tarefas distribuídas entre os vários itens da árvore de console. Entretanto, você pode adicionar todas essas exibições à lista Favoritos, o que permite aos usuários acessá-las a partir de um único local.

Para obter mais informações, consulte Criando consoles.


Opções de acesso ao console

Ao criar um console personalizado, você pode atribuir a ele uma ou duas opções de acesso: modo de autor ou modo de usuário. Existem, por sua vez, três níveis de modo de usuário, de forma que existem quatro opções para acesso padrão a um console:

    Modo | Descrição
Modo de autor | Permite total personalização do console do MMC, inclusive a capacidade de adicionar ou remover snap-ins, criar novas janelas, criar Favoritos e painéis de tarefas, além de acessar todas as opções das caixas de diálogo Personalizar exibição e Opções. Os usuários que estão criando um arquivo de console personalizado para eles próprios ou para outras pessoas normalmente usam esse modo. O console resultante é geralmente salvo em um dos seguintes modos de usuário.
Modo de usuário - acesso completo | Igual ao modo de autor, exceto pelo fato de os usuários não poderem adicionar ou remover snap-ins, alterar as opções do console, criar Favoritos ou criar painéis de tarefas.
Modo de usuário - acesso limitado, várias janelas | Fornece acesso somente às partes da árvore de console que estavam visíveis quando o arquivo de console foi salvo. Os usuários podem criar novas janelas, mas não podem fechar as existentes.
Modo de usuário - acesso limitado, janela única | Fornece acesso somente às partes da árvore de console que estavam visíveis quando o arquivo de console foi salvo. Os usuários não podem criar novas janelas.

Você pode configurar essas opções na caixa de diálogo Opções no MMC. Para obter instruções sobre como abrir essa caixa de diálogo, consulte Para definir opções de console do MMC.

As alterações feitas nos consoles que estiverem no modo de autor e nos consoles que estiverem no modo de usuário serão salvas de maneira diferente. Se você estiver trabalhando com um console no modo de autor, será solicitado a salvar suas alterações ao fechá-lo. No entanto, se você estiver trabalhando com um console no modo de usuário e tiver desmarcado a caixa de seleção Não salvar alterações neste console, disponível quando se clica em Opções no menu Arquivo, as alterações serão salvas quando você fechar o console.

Se uma das seguintes condições se aplicar, o modo padrão de um console será ignorado e um console será aberto no modo de autor:

    • O MMC já está aberto quando um console é aberto.
    • Um console é aberto através do comando de menu de atalho Autor.
    • Um console é aberto no prompt de comando com a opção /a.

Para obter mais informações sobre modos de console e sintaxe da linha de comando do MMC, consulte Abrir o MMC.

O acesso ao modo de autor do MMC é desnecessário para usuários que não precisam criar ou alterar os consoles do MMC. Um administrador de sistema pode definir configurações de perfil de usuário para impedir que os usuários abram o MMC no modo de autor. Para isso, ele deve desativar a opção /a ou a opção do menu de atalho. Além disso, um administrador pode usar as configurações de diretiva de grupo para impedir que os usuários abram o MMC e os consoles salvos no modo de autor. Para obter mais informações, consulte Diretivas de grupo e o MMC.


Usando o MMC

Esta seção aborda os seguintes tópicos:

  • Runas
  • Usando arquivos criados em versões anteriores do MMC com o MMC 2.0
  • Usando consoles do MMC
  • Usando páginas de propriedades em um console salvo
  • Definindo diretiva de grupo no MMC
  • Usando o sistema de ajuda do MMC
  • Criando consoles do MMC
  • Executando snap-ins de 32 bits e 64 bits na família de sistemas operacionais Windows Server 2003


Usando o comando runas com o MMC

É recomendável que os administradores usem uma conta com permissões restritas para executar tarefas de rotina e não administrativas, e utilizem uma conta com permissões mais amplas somente para realizar tarefas administrativas específicas. Para fazer isso sem precisar fazer logoff e logon novamente, faça logon com uma conta de usuário regular e use o comando runas para executar as ferramentas que exijam as permissões mais abrangentes.

Com o comando runas, é possível executar programas (*.exe), consoles do MMC (*.msc) salvos, atalhos para programas e consoles do MMC salvos, bem como itens do Painel de controle. Você pode executá-los como um administrador enquanto estiver conectado a seu computador como um membro de um outro grupo, como Usuários ou Usuários avançados.

É possível usar o comando runas para iniciar qualquer programa, console do MMC ou item do Painel de controle. Contanto que você forneça as informações de conta de usuário e senha apropriadas, a conta de usuário poderá fazer logon no computador, e o programa, console do MMC ou item do Painel de controle estará disponível no sistema e para a conta de usuário.

Com o comando runas, é possível administrar um servidor em outra floresta (o computador a partir do qual você executa uma ferramenta e o servidor administrado por você estão em domínios diferentes).

Se você tentar iniciar um programa, console do MMC ou item do Painel de controle de um local de rede usando runas, poderá ocorrer falha no comando porque as credenciais para conectar-se ao compartilhamento de rede são diferentes das usadas para iniciar o programa. Talvez as últimas credenciais possam não dar acesso ao mesmo compartilhamento de rede.

Alguns itens, como a pasta Impressoras e itens da área de trabalho, são abertos indiretamente e não podem ser iniciados com o comando runas.

Se houver falha no comando runas, o serviço Logon secundário poderá não estar em execução ou a conta de usuário que você está usando poderá não ser válida. Para verificar o status desse serviço, em Gerenciamento do computador, clique em Serviços e aplicativos e, em seguida, clique em Serviços. Para testar a conta de usuário, tente fazer logon no domínio apropriado usando a conta.

Para obter detalhes sobre o comando runas, consulte Runas.


Usando arquivos criados em versões anteriores do MMC com o MMC 2.0

O MMC 2.0 reconhece os consoles criados com as versões anteriores do MMC.

Os métodos de salvamento de arquivos criados com as versões anteriores do MMC são os seguintes:

  • Se você estiver trabalhando no modo de autor do MMC 2.0 com um arquivo criado em uma versão anterior do MMC, poderá salvar o arquivo somente no MMC 2.0.
  • Você pode trabalhar com um arquivo do MMC 1.2 no MMC 2.0 em qualquer modo de usuário.
  • Nos modos de usuário, o MMC 2.0 salva as alterações de console em uma versão anterior no novo formato no diretório de perfis do usuário. Esse arquivo convertido possui todas as alterações feitas pelo usuário como, por exemplo, redimensionamento de janelas. Além disso, o console original (da versão anterior do MMC) permanece intacto em seu formato original. Contudo, quando os arquivos convertidos forem salvos, o formato anterior não poderá ser restaurado.

Quando você abre um console de uma versão anterior do MMC, o MMC 2.0 o abre com as configurações modificadas selecionadas. Entretanto, se você copiar o console para outro computador ou excluir as configurações através do menu Arquivo/Opções do MMC, essas modificações serão perdidas.

Para obter mais informações sobre o MMC, consulte:
  • Adicionar um snap-in a um novo console do MMC de um computador local
  • Criar um atalho de área de trabalho para abrir o MMC
  • Instalando um programa gerenciado por um snap-in do MMC
  • Abrir um console do MMC salvo para computadores locais e remotos


Usando consoles do MMC

Talvez você só precise usar consoles pré-configurados do MMC (normalmente denominados "consoles salvos"), que façam parte do seu sistema operacional ou um aplicativo, e nunca precise criar seus próprios consoles personalizados. Esses consoles pré-configurados estão normalmente disponíveis na pasta Ferramentas administrativas do Painel de controle ou no menu Iniciar. Se você salvar um console personalizado na pasta Ferramentas administrativas por usuário (localizada em unidade_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas desse usuário.

É provável que todos os consoles pré-configurados que tenham vindo como parte do seu sistema operacional estejam configurados para serem abertos em um dos três modos de usuário. O modo padrão é Modo de usuário - acesso limitado, janela única. Para obter mais informações sobre as configurações de modo de console padrão, consulte Opções de acesso ao console.

Personalizando a exibição do MMC e dos consoles salvos

Você pode usar a caixa de diálogo Personalizar exibição no comando Personalizar do menu Exibir para ocultar ou exibir elementos de um console. Um dos elementos que você pode ocultar é o próprio menu Exibir. Se você fizer isso, e depois precisar reconfigurar a exibição, poderá também acessar a caixa de diálogo Personalizar exibição no comando Personalizar exibição do menu Sistema. Para obter mais informações, consulte Para ocultar ou exibir recursos de um console salvo do MMC e Para ocultar ou exibir menus e barras de ferramentas de um snap-in.

Trabalhando com colunas em consoles salvos

Nos consoles salvos que exibem colunas no painel de detalhes, você pode personalizar a maneira como as colunas e linhas são exibidas. Por exemplo, você pode reordenar ou ocultar colunas. Você também pode reordenar linhas em ordem alfabética ou cronológica clicando no título da coluna. Além disso, com determinados snap-ins, você pode filtrar colunas com base em atributos adicionais. Se esse recurso estiver ativado, uma linha de caixas de listagem suspensas que contenham opções de filtragem será exibida abaixo dos títulos das colunas. Para obter mais informações, consulte Para reordenar colunas em um console do MMC, Para ocultar ou exibir colunas em um console do MMC e Para filtrar linhas em um console do MMC.

Você também pode exportar o conteúdo das colunas para um arquivo de texto. Para obter mais informações, consulte Para exportar colunas de um console do MMC para um arquivo de texto.

Se você personalizar as colunas em um console, suas configurações serão salvas a cada sessão.

Usando consoles criados nas versões anteriores do MMC

Os consoles que foram criados em versões anteriores do MMC (versões 1.1 e 1.2) podem ser lidos pelo MMC versão 2.0. Contudo, se você salvar esses arquivos no MMC 2.0, eles serão automaticamente convertidos, e não será possível restaurar o formato antigo. Para obter informações adicionais, consulte Usando arquivos criados com versões anteriores do MMC com o MMC 2.0C.


Usando páginas de propriedades em consoles salvos

A maioria do trabalho feito em consoles é executada a partir das páginas de propriedades. Na verdade, determinados snap-ins ou extensões só podem ser acessadas em um console a partir de uma página de propriedades. No caso de algumas guias, talvez você possa determinar qual snap-in forneceu uma página de propriedades específica se mantiver a tecla CTRL pressionada enquanto aponta com o mouse para o rótulo da guia da página de propriedades. Além disso, se você mantiver a tecla CTRL pressionada enquanto aponta para a barra de título de uma caixa de diálogo de propriedades específica, poderá determinar o caminho na árvore de console para o item associado à página de propriedades. Para obter mais informações, consulte Exibir o snap-in e item associados de uma página de propriedades.

As caixas de diálogo de propriedades dos consoles geralmente ficam ocultas nos consoles e em outras ferramentas. Se você não conseguir encontrar uma página de propriedades na qual estava trabalhando, basta abrir novamente a caixa de diálogo de propriedades ou minimizar as outras ferramentas na tela.


Definindo diretiva de grupo no MMC

Este recurso aplica-se somente a uma rede onde a diretiva de grupo tenha sido configurada. Um administrador de sistema deve ativar a diretiva de grupo. Para obter informações detalhadas, consulte Diretiva de grupo.

Diretiva | Ação | Resultado
Ativar Impedir que o usuário entre no modo de autor Abrir um arquivo de console que esteja configurado para ser aberto no modo de autor. Os usuários com credenciais de administrador poderão acessar o modo de autor. Restringir o acesso ao modo de autor no MMC

Uma mensagem de erro será exibida indicando que o acesso foi negado para o console no modo de autor.
Desativar ou não configurar Impedir que o usuário entre no modo de autor | Abrir um arquivo de console que esteja configurado para ser aberto no modo de autor. | O uso do modo de autor será irrestrito.
Ativar Restringir usuários à lista de snap-ins explicitamente permitidos Abrir um console que contenha um snap-in que não esteja na lista de snap-ins permitidos ou um snap-in que seja estendido por outro que não esteja nessa lista. Uma mensagem de erro será exibida.

Observação

  • Se você ativar essa diretiva, somente os snap-ins explicitamente permitidos serão exibidos na lista de snap-ins disponíveis na caixa de diálogo Adicionar snap-in autônomo do MMC – todos os outros snap-ins serão restritos.
Desativar ou não configurar Restringir usuários à lista de snap-ins explicitamente permitidos | Abrir um console que contenha um snap-in que não esteja na lista de snap-ins permitidos ou um snap-in que não seja estendido por outro contido nessa lista.
Permitir explicitamente um snap-in | Abrir um console que contenha o snap-in ou um snap-in que seja estendido pelo snap-in permitido. | O uso do console que contém o snap-in será irrestrito.
Restringir explicitamente um snap-in | Abrir um arquivo de console que contenha o snap-in ou que contenha um snap-in que seja estendido pelo snap-in restrito. | Uma mensagem de erro será exibida.
Não configurar a diretiva para permitir ou restringir um snap-in | Abrir um arquivo de console que contenha o snap-in ou que contenha um snap-in que seja estendido por esse snap-in. | O uso do console que contém o snap-in será irrestrito, a menos que o usuário, grupo ou unidade organizacional seja restrito à lista de snap-ins explicitamente permitidos.

Para abrir o MMC ou um console no modo de autor:

    • Digite mmc no prompt de comando.
    • Digite mmc caminho\nome_do_arquivo.msc /a no prompt de comando.
    • Clique com o botão direito do mouse em um arquivo .msc e, em seguida, clique em Autor.
    • Abra um arquivo de console que esteja configurado para ser aberto no modo de autor.

Para abrir um arquivo de console que contenha o snap-in ou que contenha um snap-in que seja estendido por esse snap-in:

    • Digite mmc caminho\nome_do_arquivo.msc no prompt de comando
      • .
    • Clique duas vezes no arquivo .msc
      • .
    • Clique com o botão direito do mouse no arquivo .msc e, em seguida, clique em Abrir
      • .


Usando o sistema de ajuda do MMC

Você pode acessar a Ajuda do MMC no menu Ajuda da barra de ferramentas principal, no botão Botão Ajuda da barra de ferramentas de uma janela do console, no menu de sistema da janela do MMC ou de uma janela de console, clicando com o botão direito do mouse em um item na árvore de console ou no painel de detalhes ou pressionando a tecla F1.

A Ajuda do MMC exibe um índice analítico combinado que inclui a Ajuda geral do MMC e a Ajuda específica de cada snap-in incluído no console. A Ajuda do snap-in é fornecida somente para arquivos de ajuda existentes que foram associados aos snap-ins por seus autores. Se você estiver criando um console, convém fornecer documentação adicional sobre tarefas associadas ao console ou fornecer informações especificamente relacionadas à sua rede.


Criando consoles do MMC

Esta seção aborda os seguintes tópicos:

  • Criando consoles
  • Adicionando itens à árvore de console
  • Adicionando exibições de painel de tarefas e tarefas
  • Exibindo a árvore de console em uma janela do console
  • Criando as raízes das janelas do console nos itens da árvore de console
  • Adicionando itens à lista de favoritos
  • Configurando as opções de console
  • Salvando consoles
  • Usando consoles personalizados

Para obter mais informações sobre o modo de autor, consulte MMC no modo de autor.


Criando consoles

Antes de criar um console, identifique as tarefas que ele realizará, os componentes a serem administrados e os snap-ins e controles que serão necessários para executar as tarefas. Você também deve considerar se é necessário criar uma exibição de painel de tarefas e tarefas. Após tomar essas decisões, você pode abrir um novo console e começar a adicionar itens à árvore de console.

Para criar ou editar um console, abra o console no modo de autor (utilize a opção de linha de comando /a). Para exibir a sintaxe de linha de comando completa, consulte Para abrir o MMC.


Adicionando itens à árvore de console

Você pode ajudar os usuários a localizar os componentes necessários no console organizando os itens hierarquicamente ou em grupos na árvore de console. Para adicionar itens à árvore de console, use o comando Adicionar/remover snap-in no menu Arquivo da barra de ferramentas principal do MMC.

Na caixa de diálogo Adicionar/remover snap-in, a opção Snap-ins adicionados a determina o item da árvore de console no qual os novos itens serão adicionados. O valor padrão é Raiz do console. Clique em um item em Snap-ins adicionados a para localizar um objeto em qualquer outro lugar da árvore de console.

A caixa de diálogo Adicionar snap-in autônomo exibe uma lista de snap-ins disponíveis. Para computadores que sejam membros de um domínio, essa lista inclui os snap-ins instalados localmente e os snap-ins publicados no serviço de diretório do Active Directory. Para os snap-ins disponíveis no Active Directory, a opção Não instalado é exibida na coluna Fornecedor.

Se você já instalou um snap-in e deseja ativar um de seus snap-ins de extensão, use a guia Extensões na caixa de diálogo Adicionar/remover snap-in. Nessa guia, selecione qualquer item da árvore de console que possa ser estendido e exibir os snap-ins de extensão que podem ser ativados ou desativados. Quando você ativa um snap-in de extensão, ele é inserido automaticamente na árvore de console abaixo do item selecionado. Se houver mais de uma instância de um snap-in na árvore de console, todas as instâncias do snap-in serão estendidas.

Depois que um snap-in de extensão é ativado, é provável que ele apareça em Snap-ins que podem ser estendidos junto aos snap-ins autônomos. Isso significa que o snap-in de extensão também possui extensões que podem ser ativadas.

Assim como acontece com os snap-ins autônomos, um administrador também pode publicar snap-ins de extensão no Active Directory. Os snap-ins disponíveis para um usuário a partir do Active Directory são exibidos na lista de snap-ins de extensão disponíveis com todos os snap-ins de extensão instalados localmente, exceto se eles forem seguidos da frase (não instalado). Você deve fazer o download especificamente dos snap-ins de extensão no serviço de diretório para torná-los disponíveis em um console. Assim, para fazer download de todas as extensões para um determinado item, não marque a caixa de seleção Adicionar todas as extensões na guia Extensões da caixa de diálogo Adicionar/remover snap-in. Em vez disso, desmarque essa caixa de seleção e marque as caixas de seleção que estão ao lado de cada extensão que você deseja descarregar.

Para adicionar várias instâncias do mesmo snap-in a um console a fim de gerenciar vários computadores remotos do mesmo console ou reparar um console danificado, adicione uma nova instância do snap-in do console, configure-a conforme necessário e remova a instância anterior do snap-in a partir do console. Você poderá precisar fazer isso se observar que uma ferramenta está se comportando de maneira diferente do esperado, que sua configuração está desatualizada ou que ela está com o tempo limite esgotado porque os recursos foram removidos.

Para obter informações sobre como adicionar itens à árvore de console, consulte Adicionar um snap-in a um novo console do MMC, Adicionar um snap-in publicado a um novo console do MMC, Adicionar um snap-in de extensão publicado a um console do MMC e Adicionar um snap-in de extensão publicado a um console do MMC.


Adicionando exibições do painel de tarefas e tarefas

Elemento gráfico do Microsoft Windows

Adicionando exibições de painel de tarefas e tarefas

Antes de adicionar as exibições do painel de tarefas e as tarefas a um console, determine quantas exibições do painel de tarefas são necessárias. Se você precisar de várias exibições de painel de tarefas, também precisará determinar como as tarefas serão divididas entre essas exibições. Além disso, você deve decidir que tipo de exibição de painel de tarefas usará – um tipo que exiba uma lista e as tarefas ou um tipo que exiba somente tarefas.

Para criar uma exibição do painel de tarefas para um console, o console deve conter ao menos um snap-in. Use o Assistente para exibir novo painel de tarefas, a fim de configurar os títulos, os cabeçalhos e as listas que aparecem na exibição de painel de tarefas e definir se uma exibição de painel de tarefas está associada a um único item ou a vários itens na árvore de console.

Após concluir as etapas do Assistente para exibir novo painel de tarefas, use o Assistente de nova tarefa para adicionar tarefas à exibição do painel de tarefas. As tarefas podem incluir comandos de menu referentes aos itens no console, bem como comandos que são executados em um prompt de comando. Crie comandos para atuar em parte da árvore de console ou no painel de detalhes, ou para abrir outro componente no computador. No entanto, se você criar uma tarefa a partir do comando de menu de um item na árvore de console e remover esse item, a tarefa será desativada.

Para obter informações sobre como criar e editar exibições do painel de tarefas e tarefas, consulte Criar uma exibição de painel de tarefas em um console salvo do MMC, Criar tarefas para uma exibição de painel de tarefas em um console salvo do MMC, Editar uma exibição de painel de tarefas em um console salvo do MMC e Editar tarefas em uma exibição de painel de tarefas em um console salvo do MMC.


Exibindo a árvore de console em uma janela do console

Quando a árvore de console está visível, ela é exibida no painel esquerdo de uma janela do console. Opcionalmente, oculte a árvore de console. Para obter informações sobre como ocultar a árvore de console, consulte Ocultar ou exibir recursos de um console salvo do MMC.

O que você exibe em uma janela de console é determinado pelo local da árvore de console onde está a raiz da janela do console. A janela inicial em um novo console tem sua raiz em Raiz do console, assim como acontece com qualquer janela que você cria com o comando Nova janela no menu Janela da barra de ferramentas principal.

Feche as janelas do console para ocultar a raiz do console ou partes inteiras da árvore de console. Em seguida, configure o console para impedir que os usuários exibam as partes ocultas da árvore. No entanto, a árvore de console inteira sempre é salva quando você salva um console.


Criando as raízes das janelas do console nos itens da árvore de console

Embora você possa utilizar o MMC para criar consoles que atendam a todas as necessidades administrativas de um grupo, é possível também elaborar consoles simples para usuários menos experientes. Por exemplo, após adicionar itens a uma árvore de console, abra janelas de console adicionais cujas raízes se encontrem em qualquer item da árvore de console. Use esse método para criar janelas de console que exibam componentes administrativos específicos da árvore de console. Depois, feche as janelas que exibem partes da árvore de console que não sejam necessárias aos usuários.

O fechamento de uma janela não remove nenhum item da árvore de console. Ao fechar uma janela, você remove somente essa exibição da árvore de console. A árvore inteira ainda é salva quando você salva o console. Além disso, sempre é possível exibir a raiz do console.

Para obter informações sobre como alterar a raiz do console, consulte Criar uma nova janela de console a partir de um determinado ponto da árvore de console do MMC.

Para obter informações sobre como exibir uma raiz do console que esteja oculta, consulte Criar uma nova janela de console a partir de um console do MMC.


Adicionando itens à lista de favoritos

Use a lista de favoritos para criar atalhos que levarão aos itens da árvore de console e às exibições do painel de tarefas. Depois, acesse esses itens no menu Favoritos.

Observação: a guia Favoritos no painel de escopo do Console foi removida do MMC 2.0, mas foi incluída no MMC 1.2.

Para obter mais informações sobre como criar a lista Favoritos, consulte Adicionar um item à lista de favoritos em um console do MMC e Organizar a lista de favoritos em um console do MMC.

Configurando as opções de console

Use a caixa de diálogo Opções, disponível no menu Arquivo, para escolher um ícone para um console, alterar seu título e escolher seu modo padrão.

Os ícones estão disponíveis em várias origens, inclusive no Shell32.dll, localizado na pasta raiz_do_sistema\system32.

Quando você alterar o título de um console, lembre-se de que, por padrão, à medida que você clicar nos itens da árvore de console, a barra de título exibirá o caminho para o item selecionado. Mas, se você alterar o título de um console, a barra de título não exibirá esse caminho. No entanto, se você excluir o título, o comportamento padrão será restaurado.

Quando for escolher o modo que será definido como padrão para um console, lembre-se de que se você usar um dos modos de usuário, poderá abrir o console a qualquer momento usando os comandos Autor ou Executar como — você não precisará usar o modo de autor para a maioria das tarefas de gerenciamento.

Para obter mais informações sobre as opções de console, consulte Definir as opções de console do MMC e Opções de acesso ao console.


Configurando as opções de console

Use a caixa de diálogo Opções, disponível no menu Arquivo, para escolher um ícone para um console, alterar seu título e escolher seu modo padrão.

Os ícones estão disponíveis em várias origens, inclusive no Shell32.dll, localizado na pasta raiz_do_sistema\system32.

Quando você alterar o título de um console, lembre-se de que, por padrão, à medida que você clicar nos itens da árvore de console, a barra de título exibirá o caminho para o item selecionado. Se você alterar o título de um console, a barra de título não exibirá esse caminho. No entanto, se você excluir o título, o comportamento padrão será restaurado.

Quando for escolher o modo que será definido como padrão para um console, lembre-se de que se você usar um dos modos de usuário, poderá abrir o console a qualquer momento usando os comandos Autor ou Executar como — você não precisará usar o modo de autor para a maioria das tarefas de gerenciamento.

Para obter mais informações sobre as opções de console, consulte Definir as opções de console do MMC e Opções de acesso ao console.


Salvando consoles

Salvar um console do MMC em um arquivo preserva a lista de snap-ins carregados do console, a disposição e o conteúdo das janelas do console na janela principal do MMC, o modo padrão e as informações sobre permissões. Todas as definições de configuração das ferramentas e controles são salvas com o console e restauradas quando o arquivo de console é aberto. Você pode abrir um arquivo de console em vários computadores ou, até mesmo, em várias redes e restaurar as configurações salvas de todas as ferramentas.

Os arquivos do console têm a extensão de nome de arquivo .msc (management saved console). Talvez, o sistema operacional que você está usando já tenha pré-configurado os arquivos de console que estão disponíveis na pasta Ferramentas administrativas no Painel de controle. Vários aplicativos contêm consoles pré-configurados, que normalmente estão disponíveis no menu Iniciar. Se você criar arquivos de console e salvá-los na pasta Ferramentas administrativas por usuário (localizada em %unidade_do_sistema%\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), eles estarão disponíveis na pasta Ferramentas administrativas no menu Programas apenas para você — os arquivos de console não estarão disponíveis para outros usuários do computador. Após salvar um console, você pode distribuí-lo usando um disquete, email ou a rede.

Se você estiver trabalhando com um console em modo de autor, poderá salvar as alterações no console usando o comando Salvar no menu Arquivo. Se você estiver trabalhando com um console em um dos modos de usuário, o salvamento das alterações no console será determinado pela marcação da caixa de seleção Não salvar alterações neste console (que fica disponível clicando-se em Opções no menu Arquivo). Se essa caixa de seleção não foi marcada, as alterações no console serão salvas automaticamente quando você fechar o MMC; se ela foi marcada, as alterações no console serão descartadas quando você fechar o MMC. Para obter mais informações sobre como salvar consoles, consulte Para salvar um arquivo de console do MMC. Para obter mais informações sobre modos de console, consulte Opções de acesso ao console.


Usando consoles personalizados

Após criar e salvar um console do MMC, você poderá utilizá-lo em seu computador local, enviá-lo a outros usuários por email, postá-lo na sua rede ou na Web ou copiá-lo em um disquete e instalá-lo em outros computadores. Além disso, você pode usar o MMC e o serviço de diretório do Active Directory para publicar consoles ou atribuir consoles a usuários. Para obter mais informações sobre como distribuir software, consulte Active Directory.

Requisitos para utilizar um console

Para utilizar um console, você deve ter acesso aos serviços e ferramentas administrativas incluídos no console, quer sejam os instalados no computador local quer sejam os disponíveis na rede. Você também deve ter permissões administrativas para os componentes do sistema que são administrados pelo console.

Abrindo um console salvo

Se você salvar um console na pasta Ferramentas administrativas de cada usuário (localizada em unidade_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas.

Se você souber o nome e local de um arquivo de console, poderá abri-lo como faria com qualquer outro documento:

  • Clicando duas vezes no arquivo .msc
  • Clicando com o botão direito do mouse no arquivo .msc e, em seguida, clicando em Abrir
  • Em um prompt de comando

Em computadores que executam o Windows 2000, o XOX ou um sistema operacional da família Windows Server 2003, você pode fazer logon no computador com direitos de usuário e executar tarefas de rotina. Contudo, você deve usar o comando Executar como para abrir os arquivos do console e executar as tarefas administrativas que requerem direitos de administrador. Você pode usar esse comando digitando runas no prompt de comando ou clicando com o botão direito do mouse em um arquivo .msc e, em seguida, clicando em Executar como.

Para obter mais informações sobre como abrir consoles, consulte Abrir um console salvo do MMC para um computador remoto e Abrir o MMC.


Executando snap-ins de 32 bits e 64 bits na família de sistemas operacionais Windows Server 2003

Os sistemas operacionais de 64 bits da Microsoft podem executar o MMC de 32 bits (MMC32) e o MMC de 64 bits (MMC64). O MMC64 não pode executar snap-ins de 32 bits e o MMC32 não pode executar snap-ins de 64 bits. Se o sistema operacional não estiver especificado quando o MMC for chamado, o MMC32 ou MMC64 será exibido dependendo do sistema operacional que está sendo executado. Este tópico descreve como determinar e controlar qual versão do MMC será executada em um sistema operacional de 64 bits da Microsoft.

O MMC pode ser executado com os parâmetros de linha de comando, como um nome de arquivo de console, por exemplo.

Além disso, as opções de linha de comando a seguir são reconhecidas pelo MMC.

  • /32
  • /64

Se as duas opções mencionadas anteriormente forem especificadas na linha de comando, a última opção estará em vigor.

Considerações de inicialização se /32 ou /64 estiver em vigor.

Se o MMC for iniciado sem parâmetros de linha de comando ou se o ele for iniciado com a opção de linha de comando /64, ele será executado como o aplicativo MMC64. Se o MMC for iniciado com a opção de linha de comando /32, o MMC32 será aberto, através dos mesmos parâmetros passados inicialmente para o MMC (exceto a opção de linha de comando /32), e o MMC64 será encerrado.

Considerações de inicialização se um arquivo de console for especificado.

Se a linha de comando do MMC não contiver uma opção de linha de comando /32 ou /64, mas a linha de comando contiver um nome de arquivo de console, o MMC64 examinará o arquivo de console antes de determinar qual versão deverá ser executada. O MMC utiliza o algoritmo a seguir.

  1. Se todos os snap-ins referenciados pelo arquivo de console estiverem no formato de 64 bits, o MMC64 será executado (as etapas de algoritmo restantes não serão executadas). Um snap-in é considerado disponível no formato de 64 bits se existir como uma chave HKEY_CLASSES_ROOT\CLSID\snap-in clsid\InprocServer32 no Registro, onde snap-in clsid é a CLSID registrada do snap-in.
  2. Se todos os snap-ins referenciados pelo arquivo de console estiverem disponíveis no formato de 64 bits, mas todos eles estiverem disponíveis no formato de 32 bits, o MMC64 iniciará o MMC32. O MMC32 é executado usando o arquivo de console conforme especificado na linha de comando e o MMC64 é encerrado (as etapas de algoritmo restantes não são executadas). Um snap-in é considerado disponível no formato de 32 bits se existir como uma chave HKEY_CLASSES_ROOT\Wow6432Node\CLSID\snap-in clsid\InprocServer32 no Registro, onde snap-in clsid é a CLSID registrada do snap-in.
  3. Se o número de snap-ins de 64 bits não disponíveis for inferior ao número dos snap-ins de 32 bits também não disponíveis, o MMC64 será executado (as etapas de algoritmo restantes não serão executadas).
  4. Se o número de snap-ins de 32 bits não disponíveis for menor que o número dos snap-ins de 64 bits não disponíveis, o MMC64 iniciará o MMC32 e o MMC64 será fechado (as etapas de algoritmo restantes não serão executadas).
  5. Se nenhuma das etapas anteriores gerar uma conclusão, uma interface de usuário será apresentada ao usuário, solicitando que ele especifique a versão do MMC que será executada (uma opção de cancelamento também será apresentada ao usuário).

Caso o MMC64 não consiga iniciar o MMC32, o MMC64 continuará em execução. Depois que o MMC32 for iniciado com êxito pelo MMC64, este último será fechado. Se ocorrer algum erro depois que o MMC32 for iniciado, o MMC64 não será notificado, pois ele já estará fechado.


Opções de linha de comando do MMC

Usando as opções de linha de comando do MMC, você pode abrir um console do MMC específico, abrir o MMC no modo de autor ou especificar que a versão de 32 ou 64 bits do MMC está aberta.

Sintaxe

mmc caminho\nome_do_arquivo.msc [/a] [/64] [/32]

Parâmetros

caminho\nome_do_arquivo.msc
Inicia o MMC e abre um console salvo. Você precisa especificar o caminho completo e o nome do arquivo de console salvo. Se você não especificar um arquivo de console, o MMC abrirá um novo console.
/a
Abre um console salvo no modo de autor. Usado para fazer alterações em consoles salvos.
/64
Abre a versão de 64 bits do MMC (MMC64). Use esta opção apenas se você estiver executando um sistema operacional de 64 bits da Microsoft e deseja usar um snap-in de 64 bits.
/32
Abre a versão de 32 bits do MMC (MMC32). Quando você estiver executando um sistema operacional de 64 bits da Microsoft, poderá executar snap-ins de 32 bits abrindo o MMC com essa opção de linha de comando quando tiver snap-ins de apenas 32 bits.

Comentários

  • Usando a opção de linha de comando caminho\nome_do_arquivo.msc

    Você pode usar variáveis de ambiente para criar linhas de comando ou atalhos que não dependam da localização explícita dos arquivos de console. Por exemplo, se o caminho para um arquivo de console estiver na pasta do sistema (por exemplo, mmc c:\winnt\system32\nome_do_console.msc), você poderá usar a seqüência de dados expansível %systemroot% para especificar a localização (mmc %systemroot%\system32\nome_do_console.msc). Isso pode ser útil quando você delega tarefas a pessoas da sua organização que trabalham em computadores diferentes.

  • Usando a opção de linha de comando /a

    Quando os consoles são abertos com essa opção, eles são abertos em modo de autor, independentemente do seu modo padrão. Isso não altera de forma permanente a configuração do modo padrão dos arquivos. Quando você omite essa opção, o MMC abre os arquivos de console de acordo com suas configurações de modo padrão.

  • Após abrir o MMC ou um arquivo de console em modo de autor, você pode abrir qualquer console existente clicando em Abrir no menu Console.
  • Você pode usar a linha de comando para criar atalhos que abrirão o MMC e os consoles salvos. Um comando de linha de comando funciona com o comando Executar no menu Iniciar, em qualquer janela de prompt de comando, em atalhos ou em qualquer arquivo ou programa em lotes que chame o comando.

Formatando legenda

Formato | Significado
Itálico | Informações que o usuário deve fornecer
Negrito | Elementos que o usuário deve digitar exatamente como é exibido
Reticências (...) | Parâmetro que pode ser repetido várias vezes em uma linha de comando
Entre colchetes ([]) | Itens opcionais
Entre chaves ({}); opções separadas por barra vertical (|) Exemplo: {even|odd} | Conjunto de opções entre as quais o usuário deve escolher apenas uma
Fonte Courier | Saída do programa

Tópicos relacionados


Recursos

Para obter mais informações sobre o MMC, consulte os seguintes recursos:

  • O site Personal Support Center no site da Microsoft (http://www.microsoft.com/) contém informações gerais de suporte e artigos escritos por profissionais da área de suporte na Microsoft.
  • Para obter mais informações, consulte o Resource Kit do Windows Server 2003 no site da Microsoft (http://www.microsoft.com/).


Acessibilidade para MMC

Além dos produtos e serviços de acessibilidade do Microsoft Windows, o MMC fornece atalhos de teclado para a seleção de comandos e navegação nas janelas do console e entre elas:

  • Navegação no MMC
  • Atalhos de teclado da janela principal do MMC
  • Atalhos de teclado da janela do console do MMC

Os snap-ins e outros itens que são adicionados a um console do MMC também podem fornecer recursos de acessibilidade. Para obter mais informações, consulte a Ajuda ou outra documentação sobre o item do console.


Navegação no MMC

Você pode percorrer uma árvore de console do MMC expandindo e recolhendo ramificações, clicando nos ícones de sinal de mais Imagem do sinal de mais e sinal de menos Imagem do sinal de menos ou clicando duas vezes com o mouse. A tabela a seguir lista os pressionamentos de tecla que podem ser usados para se mover nas janelas do console e entre elas.

Pressionamento de tecla | Resultado
TAB ou F6 | Move-se para frente entre os painéis da janela de console ativa.
SHIFT+TAB ou SHIFT+F6 | Move-se para trás entre os painéis da janela de console ativa.
CTRL+TAB ou CTRL+F6 | Move-se para a frente entre as janelas do console.
CTRL+SHIFT+TAB ou CTRL+SHIFT+F6 | Move-se para trás entre as janelas do console.
SINAL DE MAIS (+) no teclado numérico | Expande o item selecionado.
SINAL DE MENOS (-) no teclado numérico | Recolhe o item selecionado.
Asterisco (*) no teclado numérico | Expande toda a árvore de console abaixo do item raiz na janela de console ativa.
SETA PARA CIMA | Move a seleção um item para cima em um painel.
SETA PARA BAIXO | Move a seleção um item para baixo em um painel.
PAGE UP | Move a seleção para o item superior visível em um painel.
PAGE DOWN | Move a seleção para o item inferior visível em um painel.
HOME | Move a seleção para o primeiro item em um painel.
END | Move a seleção para o último item em um painel.
SETA PARA A DIREITA | Expande o item selecionado. Se o item selecionado não contiver itens ocultos, comporta-se como a SETA PARA BAIXO.
SETA PARA A ESQUERDA | Recolhe o item selecionado. Se o item selecionado não contiver itens expostos, comporta-se como a SETA PARA CIMA.
ALT+SETA PARA A DIREITA | Move a seleção para o próximo item. Executa a mesma função da seta Avançar na barra de ferramentas.
ALT+SETA PARA A ESQUERDA | Move a seleção para o item anterior. Executa a mesma função da seta Voltar na barra de ferramentas.

A tabela a seguir lista as ações do mouse que você pode usar para percorrer a árvore de console do MMC.

Ação do mouse | Resultado
Clique em | Seleciona um item.
Clicar duas vezes | Exibe ou oculta itens contidos no item selecionado. Abre um item ou exibe suas propriedades.
Clicar com o botão direito do mouse | Exibe o menu de atalho Ação do item selecionado.

Observação

  • Se os botões do mouse não se comportarem conforme esperado, é provável que os botões direito e esquerdo tenham sido alternados. O computador que você está usando pode ter sido configurado para que as ações padrão resultem da inversão dos botões esquerdo e direito do mouse.


Atalhos de teclado da janela principal do MMC

A tabela a seguir lista os atalhos de teclado dos comandos de menu que atuam em todo o console ou na janela principal de um console.

Ação | Resultado
CTRL+O | Abre um console salvo.
CTRL+N | Abre um novo console.
CTRL+S | Salva o console aberto.
CTRL+M | Adiciona ou remove um item do console.
CTRL+W | Abre uma nova janela.
F5 | Atualiza o conteúdo de todas as janelas do console.
ALT+BARRA DE ESPAÇOS | Exibe o menu da janela do MMC.
ALT+F4 | Fecha o console.
ALT+O | Exibe o menu Ação.
ALT+X | Exibe o menu Exibir.
ALT+A | Exibe o menu Arquivo.
ALT+F | Exibir o menu Favoritos.

Observação

  • O atalho de teclado CTRL+W está disponível para consoles abertos no modo de autor ou modo de usuário — acesso completo. Os outros atalhos CTRL+ só estão disponíveis para consoles abertos no modo de autor.


Atalhos de teclado da janela do console do MMC

A tabela a seguir lista os atalhos de teclado dos comandos de menu que atuam na janela ativa de um console ou no conteúdo de uma janela de console.

Ação | Resultado
CTRL+P | Imprimirá a página atual ou o painel ativo, apenas se o snap-in implementar a função de impressão.
ALT+SINAL DE SUBTRAÇÃO | Exibe o menu da janela de console ativa.
SHIFT+F10 | Exibe o menu de atalho Ação do item selecionado.
F1 | Abre o tópico da Ajuda (se houver) referente ao item selecionado.
F5 | Atualiza o conteúdo de todas as janelas do console.
CTRL+F10 | Maximiza a janela de console ativa.
CTRL+F5 | Restaura a janela de console ativa.
ALT+ENTER | Exibe a caixa de diálogo de propriedades (se houver) referente ao item selecionado.
F2 | Renomeia o item selecionado.
CTRL+F4 | Fecha a janela de console ativa. Quando um console possui apenas uma janela, este atalho fecha o console.


Solucionando problemas

Qual é o seu problema?

A Ajuda para um snap-in não pode ser encontrada

Causa: Talvez o snap-in não forneça um arquivo de ajuda para mesclar o sumário da Ajuda do MMC. Em vez disso, o snap-in pode estar usando um método diferente para fornecer ajuda.

Solução: Abra um console no modo de autor que contenha o snap-in, clique no item da árvore de console para o qual você deseja ajuda e, em seguida, clique no menu Ajuda. Um comando separado da Ajuda do snap-in pode ser exibido no menu Ajuda acima do comando Tópicos da Ajuda. Se esse comando separado não for exibido, exiba o conteúdo das barras de ferramentas e do painel de detalhes de um botão Ajuda ou o ícone adicional do Botão Ajuda. Se um comando, botão ou ícone separado não for exibido, é sinal de que não há nenhuma ajuda disponível para o snap-in no MMC.

Um snap-in não está listado na caixa de diálogo Adicionar snap-in autônomo

Causa: O serviço ou software correspondente não pode ser instalado no seu computador.

Solução: Você deve instalar o componente para exibir seu snap-in.

Consulte também: Para instalar um programa gerenciado por um snap-in do MMC.

Causa: Se você estiver usando um computador que executa o Windows 2000, XOX ou um sistema operacional da família Windows Server 2003, um administrador poderá ter definido uma diretiva que restrinja o seu acesso ao snap-in.

Solução: Consulte o administrador do sistema.

Consulte também: Definindo diretiva de grupo no MMC

Durante o uso de um console, ocorre uma ou mais das seguintes situações: o console não está se comportando conforme o esperado, o console esgotou o tempo limite ou mensagens de erro que você nunca viu antes estão sendo exibidas

Causa: Talvez uma das seguintes situações possa ser a causa. O arquivo de console pode ter sido danificado. Ou, em virtude de alterações efetuadas na rede, talvez a configuração do console tenha se tornado desatualizada.

Solução: Determine qual snap-in está causando o problema no console e consulte as informações sobre solução de problemas na documentação desse snap-in para descobrir como reparar ou reconfigurar o snap-in. Para determinar qual snap-in está causando o problema, clique com o botão direito do mouse no item na árvore de console ou no painel de detalhes e, em seguida, clique em Propriedades. Mantenha a tecla CTRL pressionada e aponte para os rótulos das guias na caixa de diálogo.

Se você não puder reparar ou reconfigurar o console diretamente, tente adicionar uma outra instância do snap-in que você está usando ao console, configurá-la conforme necessário e remover a antiga versão do snap-in.

Consulte também: Adicionar um snap-in a um console do MMC, Snap-ins e Exibir o snap-in e item associados de uma página de propriedades.


A ferramenta que você solicitou não está disponível

Para acessar a ferramenta, tente o seguinte:

Configurar seu computador

Para ter acesso a determinadas ferramentas administrativas, você deve estar usando um dos seguintes itens:

  • Um computador que esteja executando um sistema operacional da família Windows Server 2003 configurado para ser um controlador de domínio.
  • Um computador cliente com XOX que tenha sido adicionado a um domínio e tenha o pacote de ferramentas administrativas do Windows Server 2003 instalado.
  • Um servidor que executa o Windows Server 2003 que tenha sido adicionado a um domínio.

Para obter mais informações sobre como configurar um controlador de domínio e instalar o pacote de ferramentas administrativas, do Windows Server 2003, consulte a Ajuda.

Instalar o hardware necessário

Alguns programas são instalados automaticamente quando você instala o hardware a eles associado. Por exemplo, quando você instala um dispositivo de fax, o sistema operacional da família Windows Server 2003 instala o fax. Para instalar novo hardware, clique em Iniciar, aponte para Configurações, clique em Painel de controle e clique duas vezes em Adicionar hardware.

Instalar a ferramenta

A ferramenta pode não estar instalada no seu computador porque:

  • É um componente opcional. Para instalar componentes opcionais, clique em Iniciar, aponte para Configurações, clique em Painel de controle e clique duas vezes em Adicionar ou remover programas.
  • Se o seu computador estiver em uma rede, o administrador do sistema pode ter removido esse programa ou definido uma diretiva que impeça a inicialização.
  • Você instalou o pacote de ferramentas administrativas, mas essa ferramenta é um dos componentes opcionais que você ainda não adicionou.

Acessar um snap-in do Active Directory

Você pode usar a área de trabalho remota no XOX para acessar os serviços de terminal em um computador que executa um sistema operacional da família Windows Server 2003 e que tenha o snap-in disponível. Para obter mais informações sobre como usar a área de trabalho remota e os serviços de terminal, consulte:

  • Para criar uma nova conexão
  • Home page da família de sistemas operacionais Windows Server 2003. (http://www.microsoft.com/).

Contatar o administrador do sistema

Se seu computador estiver em uma rede, o administrador do sistema pode ter removido a ferramenta.


Personalizando colunas em consoles salvos do MMC

Em consoles salvos do MMC que exibem colunas no painel de detalhes, você pode personalizar como as colunas e linhas serão exibidas. Por exemplo, você pode reordenar ou ocultar colunas. Você também pode reordenar linhas em ordem alfabética ou cronológica clicando no título da coluna. Além disso, com determinados snap-ins, é possível filtrar colunas com base em atributos adicionais. Se esse recurso estiver ativado, caixas de listagem suspensas com opções de filtragem serão exibidas abaixo dos títulos das colunas. Para obter mais informações sobre como personalizar colunas, consulte Para reordenar colunas em um console do MMC, Para ocultar ou exibir colunas em um console do MMC e Para filtrar linhas em um console do MMC.

Você também pode exportar o conteúdo das colunas para um arquivo de texto. Para obter mais informações, consulte Para exportar colunas de um console do MMC para um arquivo de texto.

Se você personalizar as colunas em um console, suas configurações serão automaticamente salvas a cada sessão.


Trabalhando com arquivos de console do MMC

O Console de gerenciamento Microsoft (MMC) contém ferramentas, incluindo os snap-ins, que você pode usar para administrar computadores locais e remotos. Talvez seu sistema Windows já contenha ferramentas que foram salvas como arquivos de console (com uma extensão .msc). Essas ferramentas estão disponíveis na pasta Ferramentas administrativas no Painel de controle e no menu Programas. Além disso, você pode usar o MMC para criar ferramentas administrativas personalizadas e distribuí-las aos usuários. No XOX e nos sistemas operacionais da família Windows Server 2003, você pode salvar essas ferramentas para que elas estejam disponíveis na pasta Ferramentas administrativas no menu Programas.

  • Administrando computadores locais

    • Para adicionar um item a um novo console do MMC para um computador local

    1. Clique em Iniciar, clique em Executar, digite mmc e clique em OK.
    2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
    3. Em Snap-in, clique duas vezes no item que você deseja adicionar e siga um destes procedimentos:
      • Clique em Computador local: (o computador onde este console está sendo executado) e, em seguida, clique em Concluir.
      • Se um assistente for exibido, siga as instruções na tela.
    4. Para adicionar outro item ao console, repita a etapa 3.

    Observações

    • Se um console for salvo na pasta Ferramentas Administrativas de cada usuário (localizada em unidade_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas Administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas.
    • Se um snap-in não for exibido na lista, você deverá primeiro instalar o programa, dispositivo ou serviço administrado pelo snap-in.
    • Para tornar um item subordinado a um item da árvore de console que não seja a raiz do console, clique no item apropriado em Snap-ins adicionados a antes de clicar em Adicionar na etapa 2.

    Para abrir um console salvo do MMC para um computador local

    • Siga um destes procedimentos:
      • Clique em Iniciar, aponte para Configurações, clique em Painel de controle, clique duas vezes em Ferramentas administrativas e, em seguida, clique duas vezes no console.
      • Clique em Iniciar, aponte para Programas, aponte para Ferramentas administrativas e clique no console.
      • Clique no console no menu Programas.
      • Abra a pasta onde seu console está localizado e clique duas vezes no console.
  • Administrando computadores remotos

    • Para adicionar um item a um novo console do MMC para um computador remoto

    1. Clique em Iniciar, clique em Executar, digite mmc e clique em OK.
    2. No menu Arquivo, clique em Adicionar/remover snap-in e, em seguida, clique em Adicionar.
    3. Em Snap-in, clique duas vezes no item que você deseja adicionar e faça o seguinte:
      • Clique em Outro computador, digite o nome do computador que você deseja que esse snap-in gerencie e, em seguida, clique em Concluir.
      • Se um assistente for exibido, siga as instruções na tela.
    4. Para adicionar outro item ao console, repita a etapa 3.

    Observações

    • Se um snap-in não for exibido na lista, você deverá primeiro instalar o programa, dispositivo ou serviço administrado pelo snap-in no computador remoto.
    • Se uma caixa de diálogo ou um assistente não for exibido na etapa 3, você só poderá usar o item do console para administrar seu computador local.
    • Se um console for salvo na pasta Ferramentas administrativas de cada usuário (localizada em unidade_do_sistema\Documents and Settings\usuário\Menu Iniciar\Programas\Ferramentas administrativas), ele estará disponível na pasta Ferramentas administrativas no menu Programas.
    • Para tornar um item subordinado a um item da árvore de console que não seja a raiz do console, clique no item apropriado em Snap-ins adicionados a antes de clicar em Adicionar na etapa 2.

    Para abrir um console salvo do MMC para um computador remoto

    • Siga um destes procedimentos:
      • Clique em Iniciar, aponte para Programas, aponte para Ferramentas administrativas e clique no console.
      • Abra a pasta onde seu console está localizado e clique duas vezes no console apropriado.
  • Procedimentos gerais

    • Para abrir o MMC

    • No prompt de comando, digite:

      • mmc

    Para instalar um programa gerenciado por um snap-in do MMC

    1. Clique em Iniciar, aponte para Configurações, clique em Painel de controle e, em seguida, clique duas vezes em Adicionar ou remover programas.
    2. Siga as instruções na tela.


Suporte on-line

Suporte
e informações on-line
  • Download de atualizações, novos recursos e drivers no Windows Update (http://windowsupdate.microsoft.com)
  • Serviços de suporte técnico da Microsoft (http://support.microsoft.com)
  • site Microsoft Accessibility (http://www.microsoft.com/enable) (site em inglês)